Bug 323361

Summary: Crash While Navigating Photos under Face Management feature
Product: digikam Reporter: kshaav
Component: Faces-EngineAssignee: Digikam Developers <digikam-bugs-null>
Status: RESOLVED FIXED    
Severity: crash CC: caulier.gilles, e.longuemare, shaav
Priority: NOR    
Version: 4.0.0   
Target Milestone: ---   
Platform: Debian stable   
OS: Linux   
Latest Commit: Version Fixed In: 4.1.0
Attachments: New crash information added by DrKonqi
lena.jpg test openCV out of digikam
Screenshot of "detect" test tool from libkface in action

Description kshaav 2013-08-11 04:31:43 UTC
Application: digikam (3.3.0)
KDE Platform Version: 4.8.5 (4.8.5)
Qt Version: 4.8.1
Operating System: Linux 3.2.0-23-generic x86_64
Distribution: Linux Mint 13 Maya

-- Information about the crash:
- What I was doing when the application crashed:
the application suddenly crashed while scrolling through pictures after selecting a tag.  Happens regularly within minutes of opening the application.

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
[Current thread is 1 (Thread 0x7feaf465ca00 (LWP 15335))]

Thread 19 (Thread 0x7feacd10d700 (LWP 15336)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007feaeeae04db in wait (time=18446744073709551615, this=0x1166bf0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1166af8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005faafb in Digikam::ScanController::run (this=0x1166890) at /home/sean/Programs/digikam-3.3.0/core/digikam/database/scancontroller.cpp:725
#4  0x00007feaeeadffcb in QThreadPrivate::start (arg=0x1166890) at thread/qthread_unix.cpp:298
#5  0x00007feae9898e9a in start_thread (arg=0x7feacd10d700) at pthread_create.c:308
#6  0x00007feaedd09ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7feacc90c700 (LWP 15337)):
#0  0x00007feaedcfe313 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007feae6aff036 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007feae6aff164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007feaeec0e426 in QEventDispatcherGlib::processEvents (this=0x7feac00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007feaeebddc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007feaeebdded7 in QEventLoop::exec (this=0x7feacc90bb50, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007feaeeadcfa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007feaeebbd9ff in QInotifyFileSystemWatcherEngine::run (this=0x116de80) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007feaeeadffcb in QThreadPrivate::start (arg=0x116de80) at thread/qthread_unix.cpp:298
#9  0x00007feae9898e9a in start_thread (arg=0x7feacc90c700) at pthread_create.c:308
#10 0x00007feaedd09ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7feab6cda700 (LWP 15348)):
[KCrash Handler]
#6  __memcpy_ssse3_back () at ../sysdeps/x86_64/multiarch/memcpy-ssse3-back.S:1555
#7  0x00007feaeb612f4a in cv::Mat::copyTo(cv::_OutputArray const&) const () from /usr/lib/libopencv_core.so.2.4
#8  0x00007feaf2ca5055 in cv::Mat::clone (this=0x7feab6cd88c0) at /usr/include/opencv2/core/mat.hpp:335
#9  0x00007feaf2cd5658 in KFaceIface::OpenCVMatData::toMat (this=0x7feaa803a110) at /home/sean/Programs/digikam-3.3.0/extra/libkface/libkface/database/dbcontainers.cpp:56
#10 0x00007feaf2ca4672 in KFaceIface::LBPHFaceModel::setHistograms (this=0x7feab6cd8b90, histograms=..., histogramMetadata=...) at /home/sean/Programs/digikam-3.3.0/extra/libkface/libkface/recognition-opencv-lbph/lbphfacemodel.cpp:139
#11 0x00007feaf2cd4468 in KFaceIface::TrainingDB::lbphFaceModel (this=0x120e840) at /home/sean/Programs/digikam-3.3.0/extra/libkface/libkface/database/trainingdb.cpp:303
#12 0x00007feaf2ca7460 in KFaceIface::OpenCVLBPHFaceRecognizer::Private::lbph (this=0x7feaa80388e0) at /home/sean/Programs/digikam-3.3.0/extra/libkface/libkface/recognition-opencv-lbph/opencvlbphfacerecognizer.cpp:67
#13 0x00007feaf2ca70fc in KFaceIface::OpenCVLBPHFaceRecognizer::train (this=0x7feaa80388c0, images=..., labels=..., context=...) at /home/sean/Programs/digikam-3.3.0/extra/libkface/libkface/recognition-opencv-lbph/opencvlbphfacerecognizer.cpp:171
#14 0x00007feaf2cbb053 in KFaceIface::trainIdentityBatch<KFaceIface::OpenCVLBPHFaceRecognizer> (r=0x7feaa80388c0, identitiesToBeTrained=..., data=0x7feab6cd90d0, trainingContext=..., d=0x127cfa0) at /home/sean/Programs/digikam-3.3.0/extra/libkface/libkface/recognitiondatabase.cpp:704
#15 0x00007feaf2cba601 in KFaceIface::RecognitionDatabase::Private::train (this=0x127cfa0, r=0x7feaa80388c0, identitiesToBeTrained=..., data=0x7feab6cd90d0, trainingContext=...) at /home/sean/Programs/digikam-3.3.0/extra/libkface/libkface/recognitiondatabase.cpp:727
#16 0x00007feaf2cba6b4 in KFaceIface::RecognitionDatabase::train (this=0x14840c8, identitiesToBeTrained=..., data=0x7feab6cd90d0, trainingContext=...) at /home/sean/Programs/digikam-3.3.0/extra/libkface/libkface/recognitiondatabase.cpp:738
#17 0x00000000006f62ee in Digikam::Trainer::process (this=0x14840b0, package=...) at /home/sean/Programs/digikam-3.3.0/core/utilities/facemanagement/facepipeline.cpp:974
#18 0x00000000006efea3 in Digikam::Trainer::qt_static_metacall (_o=0x14840b0, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x7feaa0022bb0) at /home/sean/Programs/digikam-3.3.0/build/core/digikam/facepipeline_p.moc:580
#19 0x00007feaeebf8446 in QObject::event (this=0x14840b0, e=<optimized out>) at kernel/qobject.cpp:1195
#20 0x00007feaf1ccc7d9 in Digikam::WorkerObject::event (this=0x14840b0, e=0x7feaa0014b90) at /home/sean/Programs/digikam-3.3.0/core/libs/threads/workerobject.cpp:160
#21 0x00007feaef5d8894 in notify_helper (e=0x7feaa0014b90, receiver=0x14840b0, this=0xeaa9f0) at kernel/qapplication.cpp:4559
#22 QApplicationPrivate::notify_helper (this=0xeaa9f0, receiver=0x14840b0, e=0x7feaa0014b90) at kernel/qapplication.cpp:4531
#23 0x00007feaef5dd713 in QApplication::notify (this=0x7fffc1f90490, receiver=0x14840b0, e=0x7feaa0014b90) at kernel/qapplication.cpp:4420
#24 0x00007feaf03123f6 in KApplication::notify (this=0x7fffc1f90490, receiver=0x14840b0, event=0x7feaa0014b90) at ../../kdeui/kernel/kapplication.cpp:311
#25 0x00007feaeebdee9c in QCoreApplication::notifyInternal (this=0x7fffc1f90490, receiver=0x14840b0, event=0x7feaa0014b90) at kernel/qcoreapplication.cpp:876
#26 0x00007feaeebe2c6a in sendEvent (event=0x7feaa0014b90, receiver=0x14840b0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#27 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x2821f50) at kernel/qcoreapplication.cpp:1500
#28 0x00007feaeec0df93 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#29 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:279
#30 0x00007feae6afed53 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#31 0x00007feae6aff0a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#32 0x00007feae6aff164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#33 0x00007feaeec0e3bf in QEventDispatcherGlib::processEvents (this=0x7feaa80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#34 0x00007feaeebddc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#35 0x00007feaeebdded7 in QEventLoop::exec (this=0x7feab6cd9b50, flags=...) at kernel/qeventloop.cpp:204
#36 0x00007feaf1cca9b1 in Digikam::WorkerObjectRunnable::run (this=0x22b9bcd0) at /home/sean/Programs/digikam-3.3.0/core/libs/threads/threadmanager.cpp:196
#37 0x00007feaeead34f2 in QThreadPoolThread::run (this=0x2821db0) at concurrent/qthreadpool.cpp:107
#38 0x00007feaeeadffcb in QThreadPrivate::start (arg=0x2821db0) at thread/qthread_unix.cpp:298
#39 0x00007feae9898e9a in start_thread (arg=0x7feab6cda700) at pthread_create.c:308
#40 0x00007feaedd09ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#41 0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7feab54d7700 (LWP 15351)):
#0  0x00007feae989af69 in __pthread_mutex_lock (mutex=0x7feaa0000a60) at pthread_mutex_lock.c:92
#1  0x00007feae6b3a5a1 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007feae6afe675 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007feae6afef5b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007feae6aff164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007feaeec0e426 in QEventDispatcherGlib::processEvents (this=0x7feaa00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007feaeebddc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007feaeebdded7 in QEventLoop::exec (this=0x7feab54d6b50, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007feaf1cca9b1 in Digikam::WorkerObjectRunnable::run (this=0x11b7420) at /home/sean/Programs/digikam-3.3.0/core/libs/threads/threadmanager.cpp:196
#9  0x00007feaeead34f2 in QThreadPoolThread::run (this=0x2822a70) at concurrent/qthreadpool.cpp:107
#10 0x00007feaeeadffcb in QThreadPrivate::start (arg=0x2822a70) at thread/qthread_unix.cpp:298
#11 0x00007feae9898e9a in start_thread (arg=0x7feab54d7700) at pthread_create.c:308
#12 0x00007feaedd09ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7feab1116700 (LWP 15358)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:215
#1  0x00007feaeeae043f in wait (time=30000, this=0x11e47e0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x127bcf8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007feaeead35bf in QThreadPoolThread::run (this=0x2829130) at concurrent/qthreadpool.cpp:141
#4  0x00007feaeeadffcb in QThreadPrivate::start (arg=0x2829130) at thread/qthread_unix.cpp:298
#5  0x00007feae9898e9a in start_thread (arg=0x7feab1116700) at pthread_create.c:308
#6  0x00007feaedd09ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7fea5ec1b700 (LWP 15393)):
#0  0x00007feae6b3a5e8 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007feae6afe1f8 in g_main_context_acquire () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007feae6afef04 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007feae6aff164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007feaeec0e426 in QEventDispatcherGlib::processEvents (this=0x7feaa80122f0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007feaeebddc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007feaeebdded7 in QEventLoop::exec (this=0x7fea5ec1ab50, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007feaeeadcfa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007feaeebbd9ff in QInotifyFileSystemWatcherEngine::run (this=0x21291da0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007feaeeadffcb in QThreadPrivate::start (arg=0x21291da0) at thread/qthread_unix.cpp:298
#10 0x00007feae9898e9a in start_thread (arg=0x7fea5ec1b700) at pthread_create.c:308
#11 0x00007feaedd09ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fea57be1700 (LWP 15394)):
#0  0x00007feaedcfc8cd in read () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007feae6b398cf in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007feae6afeba4 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007feae6afefd6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007feae6aff164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007feaeec0e426 in QEventDispatcherGlib::processEvents (this=0x7feaa40121f0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007feaeebddc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007feaeebdded7 in QEventLoop::exec (this=0x7fea57be0b50, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007feaeeadcfa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007feaeebbd9ff in QInotifyFileSystemWatcherEngine::run (this=0x212b34b0) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00007feaeeadffcb in QThreadPrivate::start (arg=0x212b34b0) at thread/qthread_unix.cpp:298
#11 0x00007feae9898e9a in start_thread (arg=0x7fea57be1700) at pthread_create.c:308
#12 0x00007feaedd09ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fea4a329700 (LWP 15412)):
#0  0x00007feaea06a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007feaea068efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007feae9898e9a in start_thread (arg=0x7fea4a329700) at pthread_create.c:308
#3  0x00007feaedd09ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fea49b28700 (LWP 15413)):
#0  0x00007feaea06a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007feaea068efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007feae9898e9a in start_thread (arg=0x7fea49b28700) at pthread_create.c:308
#3  0x00007feaedd09ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fea49327700 (LWP 15414)):
#0  0x00007feaea06a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007feaea068efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007feae9898e9a in start_thread (arg=0x7fea49327700) at pthread_create.c:308
#3  0x00007feaedd09ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fea48b26700 (LWP 15415)):
#0  0x00007feaea06a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007feaea068efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007feae9898e9a in start_thread (arg=0x7fea48b26700) at pthread_create.c:308
#3  0x00007feaedd09ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fea43fff700 (LWP 15416)):
#0  0x00007feaea06a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007feaea068efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007feae9898e9a in start_thread (arg=0x7fea43fff700) at pthread_create.c:308
#3  0x00007feaedd09ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fea437fe700 (LWP 15417)):
#0  0x00007feaea06a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007feaea068efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007feae9898e9a in start_thread (arg=0x7fea437fe700) at pthread_create.c:308
#3  0x00007feaedd09ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7feab7cdc700 (LWP 15434)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:215
#1  0x00007feaeeae043f in wait (time=30000, this=0x11e47e0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x127bcf8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007feaeead35bf in QThreadPoolThread::run (this=0x282afe0) at concurrent/qthreadpool.cpp:141
#4  0x00007feaeeadffcb in QThreadPrivate::start (arg=0x282afe0) at thread/qthread_unix.cpp:298
#5  0x00007feae9898e9a in start_thread (arg=0x7feab7cdc700) at pthread_create.c:308
#6  0x00007feaedd09ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7feac4f79700 (LWP 15435)):
#0  0x00007feaea06a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007feaea068efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007feae9898e9a in start_thread (arg=0x7feac4f79700) at pthread_create.c:308
#3  0x00007feaedd09ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7feab4cd6700 (LWP 15436)):
#0  0x00007feaea06a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007feaea068efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007feae9898e9a in start_thread (arg=0x7feab4cd6700) at pthread_create.c:308
#3  0x00007feaedd09ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fea79ffb700 (LWP 15437)):
#0  0x00007feaea06a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007feaea068efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007feae9898e9a in start_thread (arg=0x7fea79ffb700) at pthread_create.c:308
#3  0x00007feaedd09ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7feab64d9700 (LWP 15438)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:215
#1  0x00007feaeeae043f in wait (time=30000, this=0x11e47e0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x127bcf8, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007feaeead35bf in QThreadPoolThread::run (this=0x2828050) at concurrent/qthreadpool.cpp:141
#4  0x00007feaeeadffcb in QThreadPrivate::start (arg=0x2828050) at thread/qthread_unix.cpp:298
#5  0x00007feae9898e9a in start_thread (arg=0x7feab64d9700) at pthread_create.c:308
#6  0x00007feaedd09ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7feaf465ca00 (LWP 15335)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007feaeeae04db in wait (time=18446744073709551615, this=0x120f540) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x127bcf8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007feaeead2c7e in QThreadPoolPrivate::waitForDone (this=0x127bc70, msecs=-1) at concurrent/qthreadpool.cpp:298
#4  0x00007feaeead46a4 in QThreadPool::~QThreadPool (this=0x11efeb0, __in_chrg=<optimized out>) at concurrent/qthreadpool.cpp:440
#5  0x00007feaeead46e9 in QThreadPool::~QThreadPool (this=0x11efeb0, __in_chrg=<optimized out>) at concurrent/qthreadpool.cpp:442
#6  0x00007feaeebf1935 in QObjectPrivate::deleteChildren (this=0x12dbb30) at kernel/qobject.cpp:1908
#7  0x00007feaeebf7b9c in QObject::~QObject (this=0x128e210, __in_chrg=<optimized out>) at kernel/qobject.cpp:927
#8  0x00007feaf1ccad5c in Digikam::ThreadManager::~ThreadManager (this=0x128e210, __in_chrg=<optimized out>) at /home/sean/Programs/digikam-3.3.0/core/libs/threads/threadmanager.cpp:257
#9  0x00007feaf1ccb648 in Digikam::ThreadManagerCreator::~ThreadManagerCreator (this=0x128e210, __in_chrg=<optimized out>) at /home/sean/Programs/digikam-3.3.0/core/libs/threads/threadmanager.cpp:236
#10 0x00007feaf1ccac04 in destroy () at /home/sean/Programs/digikam-3.3.0/core/libs/threads/threadmanager.cpp:241
#11 0x00007feaf1ad2f69 in KCleanUpGlobalStatic::~KCleanUpGlobalStatic (this=0x7feaf218c3b8, __in_chrg=<optimized out>) at /usr/include/kglobal.h:62
#12 0x00007feaedc51901 in __run_exit_handlers (status=1, listp=0x7feaedfce688, run_list_atexit=true) at exit.c:78
#13 0x00007feaedc51985 in __GI_exit (status=<optimized out>) at exit.c:100
#14 0x00007feadf7d3624 in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
#15 0x00007feaf03106b8 in KApplication::xioErrhandler (this=0x7fffc1f90490, dpy=0xeafe70) at ../../kdeui/kernel/kapplication.cpp:419
#16 0x00007feaec2182be in _XIOError () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#17 0x00007feaec215cdd in _XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#18 0x00007feaec2072ef in XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#19 0x00007feaef680b9c in x11EventSourceCheck (s=0xeaca70) at kernel/qguieventdispatcher_glib.cpp:85
#20 0x00007feae6afeb43 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#21 0x00007feae6afefd6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#22 0x00007feae6aff164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#23 0x00007feaeec0e3bf in QEventDispatcherGlib::processEvents (this=0xe44180, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#24 0x00007feaef680d5e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#25 0x00007feaeebddc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#26 0x00007feaeebdded7 in QEventLoop::exec (this=0x7fffc1f90300, flags=...) at kernel/qeventloop.cpp:204
#27 0x00007feaeebe2f67 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#28 0x00000000007075e5 in main (argc=1, argv=0x7fffc1f90b88) at /home/sean/Programs/digikam-3.3.0/core/digikam/main/main.cpp:235

Reported using DrKonqi
Comment 1 caulier.gilles 2013-08-11 07:05:49 UTC
It crash in OpenCV shared lib. Which version you use exactly? Look in Help/Components Info dialog for details.

Gilles Caulier
Comment 2 kshaav 2013-08-11 07:20:13 UTC
2.4.6.1 --- just built it along with digikam 3.3.0 cause my old openCV was too old...
Comment 3 kshaav 2013-08-11 07:20:50 UTC
(In reply to comment #1)
> It crash in OpenCV shared lib. Which version you use exactly? Look in
> Help/Components Info dialog for details.
> 
> Gilles Caulier

2.4.6.1 --- just built it along with digikam 3.3.0 cause my old openCV was too old...
Comment 4 kshaav 2013-09-03 22:12:58 UTC
(In reply to comment #1)
> It crash in OpenCV shared lib. Which version you use exactly? Look in
> Help/Components Info dialog for details.
> 
> Gilles Caulier

Any further advice?  Still making digikam unusable... :(
Comment 5 kshaav 2013-09-23 07:29:06 UTC
Definitely appears to be a digiKam rather than OpenCV problem. 
I tried going back to OpenCV 2.4.5 and had the same result.
I then rebuilt the 3.3.0 beta along with OpenCV 2.4.5 and it works fine. So, for the time being sticking with the beta. :(
Comment 6 kshaav 2013-09-25 01:21:23 UTC
Created attachment 82483 [details]
New crash information added by DrKonqi

digikam (3.4.0) on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

- What I was doing when the application crashed: Crashes everytime a facetag is added to a photo.

-- Backtrace (Reduced):
#6  __memcpy_ssse3_back () at ../sysdeps/x86_64/multiarch/memcpy-ssse3-back.S:136
#7  0x00007f3714844cba in cv::Mat::copyTo(cv::_OutputArray const&) const () from /usr/local/lib/libopencv_core.so.2.4
#8  0x00007f371bcc2065 in cv::Mat::clone (this=0x7f367f7fc8c0) at /usr/local/include/opencv2/core/mat.hpp:335
#9  0x00007f371bcf2668 in KFaceIface::OpenCVMatData::toMat (this=0x7f369c346280) at /home/sean/Programs/digikam-3.4.0/extra/libkface/libkface/database/dbcontainers.cpp:56
#10 0x00007f371bcc1682 in KFaceIface::LBPHFaceModel::setHistograms (this=0x7f367f7fcb90, histograms=..., histogramMetadata=...) at /home/sean/Programs/digikam-3.4.0/extra/libkface/libkface/recognition-opencv-lbph/lbphfacemodel.cpp:139
Comment 7 e.longuemare 2013-09-26 12:22:51 UTC
related to this bug :
https://bugs.kde.org/show_bug.cgi?id=325309
Comment 8 caulier.gilles 2013-11-08 15:34:31 UTC
kshaav,

Can you check if solution described in bug #325309 solve your problem ?

Gilles Caulier
Comment 9 shaav 2013-12-01 22:33:56 UTC
Nope, it didn't. Still a problem in 3.5 with OpenCV 2.4.7

The crash does not happen immediately, if it makes a difference. There is a short delay --- under a minute --- in which I can create several facetags (and the facetags ARE being written and retained), but even if I just create one, the crash will happen.

------------------

Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
[Current thread is 1 (Thread 0x7fca58ff7a00 (LWP 21972))]

Thread 28 (Thread 0x7fca31a84700 (LWP 21973)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fca5317f4db in wait (time=18446744073709551615, this=0x269eb20) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x269ea28, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005fd87f in Digikam::ScanController::run (this=0x269e7c0) at /home/sean/Programs/digikam-3.5.0/core/digikam/database/scancontroller.cpp:725
#4  0x00007fca5317efcb in QThreadPrivate::start (arg=0x269e7c0) at thread/qthread_unix.cpp:298
#5  0x00007fca4f59ce9a in start_thread (arg=0x7fca31a84700) at pthread_create.c:308
#6  0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 27 (Thread 0x7fca31283700 (LWP 21974)):
#0  __libc_disable_asynccancel () at ../nptl/sysdeps/unix/sysv/linux/x86_64/cancellation.S:99
#1  0x00007fca52699327 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:89
#2  0x00007fca4b495036 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fca4b495164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fca532ad426 in QEventDispatcherGlib::processEvents (this=0x7fca240008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007fca5327cc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007fca5327ced7 in QEventLoop::exec (this=0x7fca31282b50, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007fca5317bfa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007fca5325c9ff in QInotifyFileSystemWatcherEngine::run (this=0x26a5e70) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007fca5317efcb in QThreadPrivate::start (arg=0x26a5e70) at thread/qthread_unix.cpp:298
#10 0x00007fca4f59ce9a in start_thread (arg=0x7fca31283700) at pthread_create.c:308
#11 0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 26 (Thread 0x7fc99b7fe700 (LWP 22039)):
#0  0x00007fca52699313 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fca4b495036 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fca4b495164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fca532ad426 in QEventDispatcherGlib::processEvents (this=0x7fc9a8043440, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007fca5327cc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fca5327ced7 in QEventLoop::exec (this=0x7fc99b7fdb50, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fca5317bfa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007fca5325c9ff in QInotifyFileSystemWatcherEngine::run (this=0x68ee530) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007fca5317efcb in QThreadPrivate::start (arg=0x68ee530) at thread/qthread_unix.cpp:298
#9  0x00007fca4f59ce9a in start_thread (arg=0x7fc99b7fe700) at pthread_create.c:308
#10 0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 25 (Thread 0x7fc998c9d700 (LWP 22040)):
#0  0x00007fca4f5a005d in __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x7fc9a4012dc0) at pthread_mutex_unlock.c:290
#2  0x00007fca4b4d05d1 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fca4b49483b in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fca4b494f5b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fca4b495164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007fca532ad426 in QEventDispatcherGlib::processEvents (this=0x7fc9a4043240, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0x00007fca5327cc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#8  0x00007fca5327ced7 in QEventLoop::exec (this=0x7fc998c9cb50, flags=...) at kernel/qeventloop.cpp:204
#9  0x00007fca5317bfa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#10 0x00007fca5325c9ff in QInotifyFileSystemWatcherEngine::run (this=0x69166d0) at io/qfilesystemwatcher_inotify.cpp:248
#11 0x00007fca5317efcb in QThreadPrivate::start (arg=0x69166d0) at thread/qthread_unix.cpp:298
#12 0x00007fca4f59ce9a in start_thread (arg=0x7fc998c9d700) at pthread_create.c:308
#13 0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 24 (Thread 0x7fca10b1e700 (LWP 22085)):
#0  0x00007fca52699313 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fca4b495036 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fca4b495164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fca532ad426 in QEventDispatcherGlib::processEvents (this=0x7fc9c401bea0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007fca5327cc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fca5327ced7 in QEventLoop::exec (this=0x7fca10b1db50, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fca564515d1 in Digikam::WorkerObjectRunnable::run (this=0x6b77020) at /home/sean/Programs/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#7  0x00007fca531724f2 in QThreadPoolThread::run (this=0x3d569c0) at concurrent/qthreadpool.cpp:107
#8  0x00007fca5317efcb in QThreadPrivate::start (arg=0x3d569c0) at thread/qthread_unix.cpp:298
#9  0x00007fca4f59ce9a in start_thread (arg=0x7fca10b1e700) at pthread_create.c:308
#10 0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 23 (Thread 0x7fca15c37700 (LWP 22087)):
#0  0x00007fca4e7e33d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fca4e7e1efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fca4f59ce9a in start_thread (arg=0x7fca15c37700) at pthread_create.c:308
#3  0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 22 (Thread 0x7fc981327700 (LWP 22088)):
#0  0x00007fca4e7e33d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fca4e7e1efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fca4f59ce9a in start_thread (arg=0x7fc981327700) at pthread_create.c:308
#3  0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 21 (Thread 0x7fc981b28700 (LWP 22089)):
#0  0x00007fca4e7e33d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fca4e7e1efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fca4f59ce9a in start_thread (arg=0x7fc981b28700) at pthread_create.c:308
#3  0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7fca23ab9700 (LWP 22092)):
[KCrash Handler]
#6  __memcpy_ssse3_back () at ../sysdeps/x86_64/multiarch/memcpy-ssse3-back.S:136
#7  0x00007fca4fb56f5a in cv::Mat::copyTo(cv::_OutputArray const&) const () from /usr/local/lib/libopencv_core.so.2.4
#8  0x00007fca5742e095 in cv::Mat::clone (this=0x7fca23ab78c0) at /usr/local/include/opencv2/core/mat.hpp:335
#9  0x00007fca5745e698 in KFaceIface::OpenCVMatData::toMat (this=0x7fca08080820) at /home/sean/Programs/digikam-3.5.0/extra/libkface/libkface/database/dbcontainers.cpp:56
#10 0x00007fca5742d6b2 in KFaceIface::LBPHFaceModel::setHistograms (this=0x7fca23ab7b90, histograms=..., histogramMetadata=...) at /home/sean/Programs/digikam-3.5.0/extra/libkface/libkface/recognition-opencv-lbph/lbphfacemodel.cpp:139
#11 0x00007fca5745d4a8 in KFaceIface::TrainingDB::lbphFaceModel (this=0x2748410) at /home/sean/Programs/digikam-3.5.0/extra/libkface/libkface/database/trainingdb.cpp:303
#12 0x00007fca574304a0 in KFaceIface::OpenCVLBPHFaceRecognizer::Private::lbph (this=0x7fca080819c0) at /home/sean/Programs/digikam-3.5.0/extra/libkface/libkface/recognition-opencv-lbph/opencvlbphfacerecognizer.cpp:67
#13 0x00007fca5743013c in KFaceIface::OpenCVLBPHFaceRecognizer::train (this=0x7fca080818d0, images=..., labels=..., context=...) at /home/sean/Programs/digikam-3.5.0/extra/libkface/libkface/recognition-opencv-lbph/opencvlbphfacerecognizer.cpp:171
#14 0x00007fca57444093 in KFaceIface::trainIdentityBatch<KFaceIface::OpenCVLBPHFaceRecognizer> (r=0x7fca080818d0, identitiesToBeTrained=..., data=0x7fca23ab80d0, trainingContext=..., d=0x272e2f0) at /home/sean/Programs/digikam-3.5.0/extra/libkface/libkface/recognitiondatabase.cpp:704
#15 0x00007fca57443641 in KFaceIface::RecognitionDatabase::Private::train (this=0x272e2f0, r=0x7fca080818d0, identitiesToBeTrained=..., data=0x7fca23ab80d0, trainingContext=...) at /home/sean/Programs/digikam-3.5.0/extra/libkface/libkface/recognitiondatabase.cpp:727
#16 0x00007fca574436f4 in KFaceIface::RecognitionDatabase::train (this=0x29c3688, identitiesToBeTrained=..., data=0x7fca23ab80d0, trainingContext=...) at /home/sean/Programs/digikam-3.5.0/extra/libkface/libkface/recognitiondatabase.cpp:738
#17 0x00000000006f84ea in Digikam::Trainer::process (this=0x29c3670, package=...) at /home/sean/Programs/digikam-3.5.0/core/utilities/facemanagement/facepipeline.cpp:974
#18 0x00000000006f209f in Digikam::Trainer::qt_static_metacall (_o=0x29c3670, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x7fc9c4071360) at /home/sean/Programs/digikam-3.5.0/build/core/digikam/facepipeline_p.moc:580
#19 0x00007fca53297446 in QObject::event (this=0x29c3670, e=<optimized out>) at kernel/qobject.cpp:1195
#20 0x00007fca564533f9 in Digikam::WorkerObject::event (this=0x29c3670, e=0x7fc9c40ae770) at /home/sean/Programs/digikam-3.5.0/core/libs/threads/workerobject.cpp:160
#21 0x00007fca53c77894 in notify_helper (e=0x7fc9c40ae770, receiver=0x29c3670, this=0x23bfb70) at kernel/qapplication.cpp:4559
#22 QApplicationPrivate::notify_helper (this=0x23bfb70, receiver=0x29c3670, e=0x7fc9c40ae770) at kernel/qapplication.cpp:4531
#23 0x00007fca53c7c713 in QApplication::notify (this=0x7fff81e22c90, receiver=0x29c3670, e=0x7fc9c40ae770) at kernel/qapplication.cpp:4420
#24 0x00007fca549b13f6 in KApplication::notify (this=0x7fff81e22c90, receiver=0x29c3670, event=0x7fc9c40ae770) at ../../kdeui/kernel/kapplication.cpp:311
#25 0x00007fca5327de9c in QCoreApplication::notifyInternal (this=0x7fff81e22c90, receiver=0x29c3670, event=0x7fc9c40ae770) at kernel/qcoreapplication.cpp:876
#26 0x00007fca53281c6a in sendEvent (event=0x7fc9c40ae770, receiver=0x29c3670) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#27 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x3d5da40) at kernel/qcoreapplication.cpp:1500
#28 0x00007fca532acf93 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#29 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:279
#30 0x00007fca4b494d53 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#31 0x00007fca4b4950a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#32 0x00007fca4b495164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#33 0x00007fca532ad3bf in QEventDispatcherGlib::processEvents (this=0x7fca08002200, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#34 0x00007fca5327cc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#35 0x00007fca5327ced7 in QEventLoop::exec (this=0x7fca23ab8b50, flags=...) at kernel/qeventloop.cpp:204
#36 0x00007fca564515d1 in Digikam::WorkerObjectRunnable::run (this=0x4ac7980) at /home/sean/Programs/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#37 0x00007fca531724f2 in QThreadPoolThread::run (this=0x3d5d8a0) at concurrent/qthreadpool.cpp:107
#38 0x00007fca5317efcb in QThreadPrivate::start (arg=0x3d5d8a0) at thread/qthread_unix.cpp:298
#39 0x00007fca4f59ce9a in start_thread (arg=0x7fca23ab9700) at pthread_create.c:308
#40 0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#41 0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7fca17c3b700 (LWP 22095)):
#0  0x00007fca4e7e33d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fca4e7e1efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fca4f59ce9a in start_thread (arg=0x7fca17c3b700) at pthread_create.c:308
#3  0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7fca1743a700 (LWP 22096)):
#0  0x00007fca4e7e33d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fca4e7e1efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fca4f59ce9a in start_thread (arg=0x7fca1743a700) at pthread_create.c:308
#3  0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7fca16c39700 (LWP 22097)):
#0  0x00007fca4e7e33d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fca4e7e1efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fca4f59ce9a in start_thread (arg=0x7fca16c39700) at pthread_create.c:308
#3  0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7fca16438700 (LWP 22099)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:215
#1  0x00007fca5317f43f in wait (time=30000, this=0x27a6a20) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x27e1f18, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fca531725bf in QThreadPoolThread::run (this=0x3d55ef0) at concurrent/qthreadpool.cpp:141
#4  0x00007fca5317efcb in QThreadPrivate::start (arg=0x3d55ef0) at thread/qthread_unix.cpp:298
#5  0x00007fca4f59ce9a in start_thread (arg=0x7fca16438700) at pthread_create.c:308
#6  0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7fca13be3700 (LWP 22101)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:215
#1  0x00007fca5317f43f in wait (time=30000, this=0x27a6a20) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x27e1f18, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fca531725bf in QThreadPoolThread::run (this=0x3d5fb90) at concurrent/qthreadpool.cpp:141
#4  0x00007fca5317efcb in QThreadPrivate::start (arg=0x3d5fb90) at thread/qthread_unix.cpp:298
#5  0x00007fca4f59ce9a in start_thread (arg=0x7fca13be3700) at pthread_create.c:308
#6  0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7fca12b22700 (LWP 22104)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:215
#1  0x00007fca5317f43f in wait (time=30000, this=0x27a6a20) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x27e1f18, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fca531725bf in QThreadPoolThread::run (this=0x3d565a0) at concurrent/qthreadpool.cpp:141
#4  0x00007fca5317efcb in QThreadPrivate::start (arg=0x3d565a0) at thread/qthread_unix.cpp:298
#5  0x00007fca4f59ce9a in start_thread (arg=0x7fca12b22700) at pthread_create.c:308
#6  0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fca12321700 (LWP 22105)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:215
#1  0x00007fca5317f43f in wait (time=30000, this=0x27a6a20) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x27e1f18, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fca531725bf in QThreadPoolThread::run (this=0x3d5d460) at concurrent/qthreadpool.cpp:141
#4  0x00007fca5317efcb in QThreadPrivate::start (arg=0x3d5d460) at thread/qthread_unix.cpp:298
#5  0x00007fca4f59ce9a in start_thread (arg=0x7fca12321700) at pthread_create.c:308
#6  0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fca11b20700 (LWP 22106)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:215
#1  0x00007fca5317f43f in wait (time=30000, this=0x27a6a20) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x27e1f18, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fca531725bf in QThreadPoolThread::run (this=0x3d57ac0) at concurrent/qthreadpool.cpp:141
#4  0x00007fca5317efcb in QThreadPrivate::start (arg=0x3d57ac0) at thread/qthread_unix.cpp:298
#5  0x00007fca4f59ce9a in start_thread (arg=0x7fca11b20700) at pthread_create.c:308
#6  0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fca1131f700 (LWP 22111)):
#0  0x00007fca4e7e33d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fca4e7e1efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fca4f59ce9a in start_thread (arg=0x7fca1131f700) at pthread_create.c:308
#3  0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fca03fff700 (LWP 22112)):
#0  0x00007fca4e7e33d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fca4e7e1efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fca4f59ce9a in start_thread (arg=0x7fca03fff700) at pthread_create.c:308
#3  0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fca037fe700 (LWP 22113)):
#0  0x00007fca4e7e33d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fca4e7e1efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fca4f59ce9a in start_thread (arg=0x7fca037fe700) at pthread_create.c:308
#3  0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fca02ffd700 (LWP 22114)):
#0  0x00007fca4e7e33d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fca4e7e1efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fca4f59ce9a in start_thread (arg=0x7fca02ffd700) at pthread_create.c:308
#3  0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fca027fc700 (LWP 22115)):
#0  0x00007fca4e7e33d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fca4e7e1efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fca4f59ce9a in start_thread (arg=0x7fca027fc700) at pthread_create.c:308
#3  0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fca01ffb700 (LWP 22116)):
#0  0x00007fca4e7e33d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fca4e7e1efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fca4f59ce9a in start_thread (arg=0x7fca01ffb700) at pthread_create.c:308
#3  0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fca017fa700 (LWP 22120)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:215
#1  0x00007fca5317f43f in wait (time=30000, this=0x27a6a20) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x27e1f18, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fca531725bf in QThreadPoolThread::run (this=0x3d5ede0) at concurrent/qthreadpool.cpp:141
#4  0x00007fca5317efcb in QThreadPrivate::start (arg=0x3d5ede0) at thread/qthread_unix.cpp:298
#5  0x00007fca4f59ce9a in start_thread (arg=0x7fca017fa700) at pthread_create.c:308
#6  0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fca00ff9700 (LWP 22123)):
#0  0x00007fca4e7e33d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fca4e7e1efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fca4f59ce9a in start_thread (arg=0x7fca00ff9700) at pthread_create.c:308
#3  0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fc9fbfff700 (LWP 22124)):
#0  0x00007fca4e7e33d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fca4e7e1efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fca4f59ce9a in start_thread (arg=0x7fc9fbfff700) at pthread_create.c:308
#3  0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fc9fb7fe700 (LWP 22125)):
#0  0x00007fca4e7e33d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fca4e7e1efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fca4f59ce9a in start_thread (arg=0x7fc9fb7fe700) at pthread_create.c:308
#3  0x00007fca526a4ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fca58ff7a00 (LWP 21972)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fca5317f4db in wait (time=18446744073709551615, this=0x2718350) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x27e1f18, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fca53171c7e in QThreadPoolPrivate::waitForDone (this=0x27e1e90, msecs=-1) at concurrent/qthreadpool.cpp:298
#4  0x00007fca531736a4 in QThreadPool::~QThreadPool (this=0x2803900, __in_chrg=<optimized out>) at concurrent/qthreadpool.cpp:440
#5  0x00007fca531736e9 in QThreadPool::~QThreadPool (this=0x2803900, __in_chrg=<optimized out>) at concurrent/qthreadpool.cpp:442
#6  0x00007fca53290935 in QObjectPrivate::deleteChildren (this=0x2825130) at kernel/qobject.cpp:1908
#7  0x00007fca53296b9c in QObject::~QObject (this=0x2835850, __in_chrg=<optimized out>) at kernel/qobject.cpp:927
#8  0x00007fca5645197c in Digikam::ThreadManager::~ThreadManager (this=0x2835850, __in_chrg=<optimized out>) at /home/sean/Programs/digikam-3.5.0/core/libs/threads/threadmanager.cpp:257
#9  0x00007fca56452268 in Digikam::ThreadManagerCreator::~ThreadManagerCreator (this=0x2835850, __in_chrg=<optimized out>) at /home/sean/Programs/digikam-3.5.0/core/libs/threads/threadmanager.cpp:236
#10 0x00007fca56451824 in destroy () at /home/sean/Programs/digikam-3.5.0/core/libs/threads/threadmanager.cpp:241
#11 0x00007fca5625a399 in KCleanUpGlobalStatic::~KCleanUpGlobalStatic (this=0x7fca569133f8, __in_chrg=<optimized out>) at /usr/include/kglobal.h:62
#12 0x00007fca525ec901 in __run_exit_handlers (status=1, listp=0x7fca52969688, run_list_atexit=true) at exit.c:78
#13 0x00007fca525ec985 in __GI_exit (status=<optimized out>) at exit.c:100
#14 0x00007fca44168624 in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
#15 0x00007fca549af6b8 in KApplication::xioErrhandler (this=0x7fff81e22c90, dpy=0x23c5380) at ../../kdeui/kernel/kapplication.cpp:419
#16 0x00007fca50bb32be in _XIOError () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#17 0x00007fca50bb0cdd in _XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#18 0x00007fca50ba22ef in XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#19 0x00007fca53d1fb9c in x11EventSourceCheck (s=0x23bf520) at kernel/qguieventdispatcher_glib.cpp:85
#20 0x00007fca4b494b43 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#21 0x00007fca4b494fd6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#22 0x00007fca4b495164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#23 0x00007fca532ad3bf in QEventDispatcherGlib::processEvents (this=0x2359180, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#24 0x00007fca53d1fd5e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#25 0x00007fca5327cc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#26 0x00007fca5327ced7 in QEventLoop::exec (this=0x7fff81e21050, flags=...) at kernel/qeventloop.cpp:204
#27 0x00007fca54147936 in QDialog::exec (this=0x5efff30) at dialogs/qdialog.cpp:554
#28 0x00000000004e25d4 in Digikam::Setup::exec (parent=0x24fcee0, page=Digikam::Setup::LastPageUsed) at /home/sean/Programs/digikam-3.5.0/core/utilities/setup/setup.cpp:432
#29 0x00000000005b4177 in Digikam::DigikamApp::setup (this=0x24fcee0) at /home/sean/Programs/digikam-3.5.0/core/digikam/main/digikamapp.cpp:2323
#30 0x00000000005b4158 in Digikam::DigikamApp::slotSetup (this=0x24fcee0) at /home/sean/Programs/digikam-3.5.0/core/digikam/main/digikamapp.cpp:2318
#31 0x000000000059e20b in Digikam::DigikamApp::qt_static_metacall (_o=0x24fcee0, _c=QMetaObject::InvokeMetaMethod, _id=24, _a=0x7fff81e212c0) at /home/sean/Programs/digikam-3.5.0/build/core/digikam/digikamapp.moc:183
#32 0x00007fca53292281 in QMetaObject::activate (sender=0x3da2b00, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff81e212c0) at kernel/qobject.cpp:3547
#33 0x00007fca53c71132 in QAction::triggered (this=<optimized out>, _t1=false) at .moc/release-shared/moc_qaction.cpp:277
#34 0x00007fca53c7131f in QAction::activate (this=0x3da2b00, event=<optimized out>) at kernel/qaction.cpp:1257
#35 0x00007fca540c3119 in QMenuPrivate::activateCausedStack (this=0x41102d0, causedStack=..., action=0x3da2b00, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1028
#36 0x00007fca540c9272 in QMenuPrivate::activateAction (this=0x41102d0, action=0x3da2b00, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1120
#37 0x00007fca54a72030 in KMenu::mouseReleaseEvent (this=0x41100d0, e=0x7fff81e21e90) at ../../kdeui/widgets/kmenu.cpp:464
#38 0x00007fca53cc8144 in QWidget::event (this=0x41100d0, event=0x7fff81e21e90) at kernel/qwidget.cpp:8362
#39 0x00007fca540ca80b in QMenu::event (this=0x41100d0, e=0x7fff81e21e90) at widgets/qmenu.cpp:2469
#40 0x00007fca53c77894 in notify_helper (e=0x7fff81e21e90, receiver=0x41100d0, this=0x23bfb70) at kernel/qapplication.cpp:4559
#41 QApplicationPrivate::notify_helper (this=0x23bfb70, receiver=0x41100d0, e=0x7fff81e21e90) at kernel/qapplication.cpp:4531
#42 0x00007fca53c7d0bf in QApplication::notify (this=<optimized out>, receiver=0x41100d0, e=0x7fff81e21e90) at kernel/qapplication.cpp:4102
#43 0x00007fca549b13f6 in KApplication::notify (this=0x7fff81e22c90, receiver=0x41100d0, event=0x7fff81e21e90) at ../../kdeui/kernel/kapplication.cpp:311
#44 0x00007fca5327de9c in QCoreApplication::notifyInternal (this=0x7fff81e22c90, receiver=0x41100d0, event=0x7fff81e21e90) at kernel/qcoreapplication.cpp:876
#45 0x00007fca53c78862 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#46 QApplicationPrivate::sendMouseEvent (receiver=0x41100d0, event=0x7fff81e21e90, alienWidget=0x0, nativeWidget=0x41100d0, buttonDown=0x0, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3170
#47 0x00007fca53cf82c1 in QETWidget::translateMouseEvent (this=0x41100d0, event=<optimized out>) at kernel/qapplication_x11.cpp:4551
#48 0x00007fca53cf6bae in QApplication::x11ProcessEvent (this=0x7fff81e22c90, event=0x7fff81e22760) at kernel/qapplication_x11.cpp:3732
#49 0x00007fca53d200d2 in x11EventSourceDispatch (s=0x23bf520, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#50 0x00007fca4b494d53 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#51 0x00007fca4b4950a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#52 0x00007fca4b495164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#53 0x00007fca532ad3bf in QEventDispatcherGlib::processEvents (this=0x2359180, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#54 0x00007fca53d1fd5e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#55 0x00007fca5327cc82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#56 0x00007fca5327ced7 in QEventLoop::exec (this=0x7fff81e22b00, flags=...) at kernel/qeventloop.cpp:204
#57 0x00007fca53281f67 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#58 0x00000000007094d9 in main (argc=1, argv=0x7fff81e23388) at /home/sean/Programs/digikam-3.5.0/core/digikam/main/main.cpp:235
Comment 10 shaav 2013-12-02 07:05:26 UTC
I have actually actively tried to avoid using any of the automatic face detection and recognition in digikam just because I already have tens of thousands of face tags in my collection and I didn't really trust it to start doing its own thing. But out of curiosity, I tried running the scan on a single album (using "Maintenance") and it crashed immediately too (see below).

Can digikam be built *without* opencv and still do face-tagging? I mean, I would be content to resign myself to manually doing all my tags if I could actually do it without it crashing constantly.
---------------------------------------
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
[Current thread is 1 (Thread 0x7fc6af065a00 (LWP 749))]

Thread 10 (Thread 0x7fc687af2700 (LWP 750)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fc6a91ed4db in wait (time=18446744073709551615, this=0x2e1e060) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2e1df68, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005fd87f in Digikam::ScanController::run (this=0x2e1dd00) at /home/sean/Programs/digikam-3.5.0/core/digikam/database/scancontroller.cpp:725
#4  0x00007fc6a91ecfcb in QThreadPrivate::start (arg=0x2e1dd00) at thread/qthread_unix.cpp:298
#5  0x00007fc6a560ae9a in start_thread (arg=0x7fc687af2700) at pthread_create.c:308
#6  0x00007fc6a8712ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fc6872f1700 (LWP 751)):
#0  0x00007fc6a8707313 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fc6a1503036 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc6a1503164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc6a931b426 in QEventDispatcherGlib::processEvents (this=0x7fc6780008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007fc6a92eac82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fc6a92eaed7 in QEventLoop::exec (this=0x7fc6872f0b50, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fc6a91e9fa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007fc6a92ca9ff in QInotifyFileSystemWatcherEngine::run (this=0x2e261b0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007fc6a91ecfcb in QThreadPrivate::start (arg=0x2e261b0) at thread/qthread_unix.cpp:298
#9  0x00007fc6a560ae9a in start_thread (arg=0x7fc6872f1700) at pthread_create.c:308
#10 0x00007fc6a8712ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fc5e5afb700 (LWP 816)):
#0  0x00007fc6a8707313 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fc6a1503036 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc6a1503164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc6a931b426 in QEventDispatcherGlib::processEvents (this=0x7fc5fc043240, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007fc6a92eac82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fc6a92eaed7 in QEventLoop::exec (this=0x7fc5e5afab50, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fc6a91e9fa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007fc6a92ca9ff in QInotifyFileSystemWatcherEngine::run (this=0x707f930) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007fc6a91ecfcb in QThreadPrivate::start (arg=0x707f930) at thread/qthread_unix.cpp:298
#9  0x00007fc6a560ae9a in start_thread (arg=0x7fc5e5afb700) at pthread_create.c:308
#10 0x00007fc6a8712ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fc5e2b69700 (LWP 817)):
#0  0x00007fc6a153e325 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fc6a153e599 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc6a15029b8 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc6a1502fd6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fc6a1503164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fc6a931b426 in QEventDispatcherGlib::processEvents (this=0x7fc608043440, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007fc6a92eac82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fc6a92eaed7 in QEventLoop::exec (this=0x7fc5e2b68b50, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fc6a91e9fa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007fc6a92ca9ff in QInotifyFileSystemWatcherEngine::run (this=0x70a7a90) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00007fc6a91ecfcb in QThreadPrivate::start (arg=0x70a7a90) at thread/qthread_unix.cpp:298
#11 0x00007fc6a560ae9a in start_thread (arg=0x7fc5e2b69700) at pthread_create.c:308
#12 0x00007fc6a8712ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fc65b7fe700 (LWP 2035)):
#0  0x00007fc6a560e05d in __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x7fc63001f9a0) at pthread_mutex_unlock.c:290
#2  0x00007fc6a153e5d1 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc6a150283b in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fc6a1502f5b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fc6a1503164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007fc6a931b426 in QEventDispatcherGlib::processEvents (this=0x7fc63001fb10, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0x00007fc6a92eac82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#8  0x00007fc6a92eaed7 in QEventLoop::exec (this=0x7fc65b7fdb50, flags=...) at kernel/qeventloop.cpp:204
#9  0x00007fc6ac4bf5d1 in Digikam::WorkerObjectRunnable::run (this=0x98a2b10) at /home/sean/Programs/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#10 0x00007fc6a91e04f2 in QThreadPoolThread::run (this=0x44e3150) at concurrent/qthreadpool.cpp:107
#11 0x00007fc6a91ecfcb in QThreadPrivate::start (arg=0x44e3150) at thread/qthread_unix.cpp:298
#12 0x00007fc6a560ae9a in start_thread (arg=0x7fc65b7fe700) at pthread_create.c:308
#13 0x00007fc6a8712ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fc66bffe700 (LWP 2037)):
#0  0x00007fc6a560cf69 in __pthread_mutex_lock (mutex=0x7fc664029480) at pthread_mutex_lock.c:92
#1  0x00007fc6a153e5a1 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc6a1502675 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc6a1502f5b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fc6a1503164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fc6a931b426 in QEventDispatcherGlib::processEvents (this=0x7fc66403b190, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007fc6a92eac82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fc6a92eaed7 in QEventLoop::exec (this=0x7fc66bffdb50, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fc6ac4bf5d1 in Digikam::WorkerObjectRunnable::run (this=0x9956270) at /home/sean/Programs/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#9  0x00007fc6a91e04f2 in QThreadPoolThread::run (this=0x44e3590) at concurrent/qthreadpool.cpp:107
#10 0x00007fc6a91ecfcb in QThreadPrivate::start (arg=0x44e3590) at thread/qthread_unix.cpp:298
#11 0x00007fc6a560ae9a in start_thread (arg=0x7fc66bffe700) at pthread_create.c:308
#12 0x00007fc6a8712ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fc65bfff700 (LWP 2038)):
#0  0x00007fc6a15021f8 in g_main_context_acquire () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fc6a1502f04 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc6a1503164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc6a931b426 in QEventDispatcherGlib::processEvents (this=0x7fc630297610, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007fc6a92eac82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fc6a92eaed7 in QEventLoop::exec (this=0x7fc65bffeb50, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fc6ac4bf5d1 in Digikam::WorkerObjectRunnable::run (this=0x5310870) at /home/sean/Programs/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#7  0x00007fc6a91e04f2 in QThreadPoolThread::run (this=0x44dbe80) at concurrent/qthreadpool.cpp:107
#8  0x00007fc6a91ecfcb in QThreadPrivate::start (arg=0x44dbe80) at thread/qthread_unix.cpp:298
#9  0x00007fc6a560ae9a in start_thread (arg=0x7fc65bfff700) at pthread_create.c:308
#10 0x00007fc6a8712ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fc65affd700 (LWP 2039)):
[KCrash Handler]
#6  __memcpy_ssse3_back () at ../sysdeps/x86_64/multiarch/memcpy-ssse3-back.S:136
#7  0x00007fc6a5bc4f5a in cv::Mat::copyTo(cv::_OutputArray const&) const () from /usr/local/lib/libopencv_core.so.2.4
#8  0x00007fc6ad49c095 in cv::Mat::clone (this=0x7fc65affba10) at /usr/local/include/opencv2/core/mat.hpp:335
#9  0x00007fc6ad4cc698 in KFaceIface::OpenCVMatData::toMat (this=0x7fc664687ae0) at /home/sean/Programs/digikam-3.5.0/extra/libkface/libkface/database/dbcontainers.cpp:56
#10 0x00007fc6ad49b6b2 in KFaceIface::LBPHFaceModel::setHistograms (this=0x7fc65affbce0, histograms=..., histogramMetadata=...) at /home/sean/Programs/digikam-3.5.0/extra/libkface/libkface/recognition-opencv-lbph/lbphfacemodel.cpp:139
#11 0x00007fc6ad4cb4a8 in KFaceIface::TrainingDB::lbphFaceModel (this=0x2e75d10) at /home/sean/Programs/digikam-3.5.0/extra/libkface/libkface/database/trainingdb.cpp:303
#12 0x00007fc6ad49e4a0 in KFaceIface::OpenCVLBPHFaceRecognizer::Private::lbph (this=0x7fc6646931e0) at /home/sean/Programs/digikam-3.5.0/extra/libkface/libkface/recognition-opencv-lbph/opencvlbphfacerecognizer.cpp:67
#13 0x00007fc6ad49dfa6 in KFaceIface::OpenCVLBPHFaceRecognizer::recognize (this=0x7fc6646931c0, inputImage=...) at /home/sean/Programs/digikam-3.5.0/extra/libkface/libkface/recognition-opencv-lbph/opencvlbphfacerecognizer.cpp:153
#14 0x00007fc6ad4b1237 in KFaceIface::RecognitionDatabase::recognizeFaces (this=0x8f549d0, images=0x7fc65affc110) at /home/sean/Programs/digikam-3.5.0/extra/libkface/libkface/recognitiondatabase.cpp:620
#15 0x00007fc6ad4b10a1 in KFaceIface::RecognitionDatabase::recognizeFaces (this=0x8f549d0, images=...) at /home/sean/Programs/digikam-3.5.0/extra/libkface/libkface/recognitiondatabase.cpp:594
#16 0x00000000006f56b8 in Digikam::RecognitionWorker::process (this=0x8f549b0, package=...) at /home/sean/Programs/digikam-3.5.0/core/utilities/facemanagement/facepipeline.cpp:594
#17 0x00000000006f1bc9 in Digikam::RecognitionWorker::qt_static_metacall (_o=0x8f549b0, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x8eb0aa0) at /home/sean/Programs/digikam-3.5.0/build/core/digikam/facepipeline_p.moc:407
#18 0x00007fc6a9305446 in QObject::event (this=0x8f549b0, e=<optimized out>) at kernel/qobject.cpp:1195
#19 0x00007fc6ac4c13f9 in Digikam::WorkerObject::event (this=0x8f549b0, e=0x3c83c40) at /home/sean/Programs/digikam-3.5.0/core/libs/threads/workerobject.cpp:160
#20 0x00007fc6a9ce5894 in notify_helper (e=0x3c83c40, receiver=0x8f549b0, this=0x2b3fae0) at kernel/qapplication.cpp:4559
#21 QApplicationPrivate::notify_helper (this=0x2b3fae0, receiver=0x8f549b0, e=0x3c83c40) at kernel/qapplication.cpp:4531
#22 0x00007fc6a9cea713 in QApplication::notify (this=0x7fff5e5ee8c0, receiver=0x8f549b0, e=0x3c83c40) at kernel/qapplication.cpp:4420
#23 0x00007fc6aaa1f3f6 in KApplication::notify (this=0x7fff5e5ee8c0, receiver=0x8f549b0, event=0x3c83c40) at ../../kdeui/kernel/kapplication.cpp:311
#24 0x00007fc6a92ebe9c in QCoreApplication::notifyInternal (this=0x7fff5e5ee8c0, receiver=0x8f549b0, event=0x3c83c40) at kernel/qcoreapplication.cpp:876
#25 0x00007fc6a92efc6a in sendEvent (event=0x3c83c40, receiver=0x8f549b0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#26 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x44e4940) at kernel/qcoreapplication.cpp:1500
#27 0x00007fc6a931af93 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#28 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:279
#29 0x00007fc6a1502d53 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#30 0x00007fc6a15030a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#31 0x00007fc6a1503164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#32 0x00007fc6a931b3bf in QEventDispatcherGlib::processEvents (this=0x7fc664023710, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#33 0x00007fc6a92eac82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#34 0x00007fc6a92eaed7 in QEventLoop::exec (this=0x7fc65affcb50, flags=...) at kernel/qeventloop.cpp:204
#35 0x00007fc6ac4bf5d1 in Digikam::WorkerObjectRunnable::run (this=0x85e1130) at /home/sean/Programs/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#36 0x00007fc6a91e04f2 in QThreadPoolThread::run (this=0x44e47a0) at concurrent/qthreadpool.cpp:107
#37 0x00007fc6a91ecfcb in QThreadPrivate::start (arg=0x44e47a0) at thread/qthread_unix.cpp:298
#38 0x00007fc6a560ae9a in start_thread (arg=0x7fc65affd700) at pthread_create.c:308
#39 0x00007fc6a8712ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#40 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fc66b7fd700 (LWP 2040)):
#0  0x00007fc6a9243be0 in qt_gettime () at tools/qelapsedtimer_unix.cpp:146
#1  0x00007fc6a931bb8d in QTimerInfoList::updateCurrentTime (this=0x7fc6640235f0) at kernel/qeventdispatcher_unix.cpp:343
#2  0x00007fc6a931bec3 in QTimerInfoList::timerWait (this=0x7fc6640235f0, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#3  0x00007fc6a931a97c in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7fc66b7fc9dc) at kernel/qeventdispatcher_glib.cpp:136
#4  0x00007fc6a931aa25 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#5  0x00007fc6a1502846 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007fc6a1502f5b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007fc6a1503164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#8  0x00007fc6a931b426 in QEventDispatcherGlib::processEvents (this=0x7fc66401a010, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#9  0x00007fc6a92eac82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#10 0x00007fc6a92eaed7 in QEventLoop::exec (this=0x7fc66b7fcb50, flags=...) at kernel/qeventloop.cpp:204
#11 0x00007fc6ac4bf5d1 in Digikam::WorkerObjectRunnable::run (this=0x3cb02b0) at /home/sean/Programs/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#12 0x00007fc6a91e04f2 in QThreadPoolThread::run (this=0x7fc638012770) at concurrent/qthreadpool.cpp:107
#13 0x00007fc6a91ecfcb in QThreadPrivate::start (arg=0x7fc638012770) at thread/qthread_unix.cpp:298
#14 0x00007fc6a560ae9a in start_thread (arg=0x7fc66b7fd700) at pthread_create.c:308
#15 0x00007fc6a8712ccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#16 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fc6af065a00 (LWP 749)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fc6a91ed4db in wait (time=18446744073709551615, this=0x2fc81b0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2f3fe38, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fc6a91dfc7e in QThreadPoolPrivate::waitForDone (this=0x2f3fdb0, msecs=-1) at concurrent/qthreadpool.cpp:298
#4  0x00007fc6a91e16a4 in QThreadPool::~QThreadPool (this=0x2f52680, __in_chrg=<optimized out>) at concurrent/qthreadpool.cpp:440
#5  0x00007fc6a91e16e9 in QThreadPool::~QThreadPool (this=0x2f52680, __in_chrg=<optimized out>) at concurrent/qthreadpool.cpp:442
#6  0x00007fc6a92fe935 in QObjectPrivate::deleteChildren (this=0x2fdb980) at kernel/qobject.cpp:1908
#7  0x00007fc6a9304b9c in QObject::~QObject (this=0x2f3d5c0, __in_chrg=<optimized out>) at kernel/qobject.cpp:927
#8  0x00007fc6ac4bf97c in Digikam::ThreadManager::~ThreadManager (this=0x2f3d5c0, __in_chrg=<optimized out>) at /home/sean/Programs/digikam-3.5.0/core/libs/threads/threadmanager.cpp:257
#9  0x00007fc6ac4c0268 in Digikam::ThreadManagerCreator::~ThreadManagerCreator (this=0x2f3d5c0, __in_chrg=<optimized out>) at /home/sean/Programs/digikam-3.5.0/core/libs/threads/threadmanager.cpp:236
#10 0x00007fc6ac4bf824 in destroy () at /home/sean/Programs/digikam-3.5.0/core/libs/threads/threadmanager.cpp:241
#11 0x00007fc6ac2c8399 in KCleanUpGlobalStatic::~KCleanUpGlobalStatic (this=0x7fc6ac9813f8, __in_chrg=<optimized out>) at /usr/include/kglobal.h:62
#12 0x00007fc6a865a901 in __run_exit_handlers (status=1, listp=0x7fc6a89d7688, run_list_atexit=true) at exit.c:78
#13 0x00007fc6a865a985 in __GI_exit (status=<optimized out>) at exit.c:100
#14 0x00007fc69a1d6624 in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
#15 0x00007fc6aaa1d6b8 in KApplication::xioErrhandler (this=0x7fff5e5ee8c0, dpy=0x2b45370) at ../../kdeui/kernel/kapplication.cpp:419
#16 0x00007fc6a6c212be in _XIOError () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#17 0x00007fc6a6c1ecdd in _XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#18 0x00007fc6a6c102ef in XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#19 0x00007fc6a9d8db9c in x11EventSourceCheck (s=0x2b41a00) at kernel/qguieventdispatcher_glib.cpp:85
#20 0x00007fc6a1502b43 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#21 0x00007fc6a1502fd6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#22 0x00007fc6a1503164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#23 0x00007fc6a931b3bf in QEventDispatcherGlib::processEvents (this=0x2ad9180, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#24 0x00007fc6a9d8dd5e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#25 0x00007fc6a92eac82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#26 0x00007fc6a92eaed7 in QEventLoop::exec (this=0x7fff5e5ecc80, flags=...) at kernel/qeventloop.cpp:204
#27 0x00007fc6aa1b5936 in QDialog::exec (this=0x3d4ce20) at dialogs/qdialog.cpp:554
#28 0x00000000004e25d4 in Digikam::Setup::exec (parent=0x2f5fe90, page=Digikam::Setup::LastPageUsed) at /home/sean/Programs/digikam-3.5.0/core/utilities/setup/setup.cpp:432
#29 0x00000000005b4177 in Digikam::DigikamApp::setup (this=0x2f5fe90) at /home/sean/Programs/digikam-3.5.0/core/digikam/main/digikamapp.cpp:2323
#30 0x00000000005b4158 in Digikam::DigikamApp::slotSetup (this=0x2f5fe90) at /home/sean/Programs/digikam-3.5.0/core/digikam/main/digikamapp.cpp:2318
#31 0x000000000059e20b in Digikam::DigikamApp::qt_static_metacall (_o=0x2f5fe90, _c=QMetaObject::InvokeMetaMethod, _id=24, _a=0x7fff5e5ecef0) at /home/sean/Programs/digikam-3.5.0/build/core/digikam/digikamapp.moc:183
#32 0x00007fc6a9300281 in QMetaObject::activate (sender=0x4527730, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff5e5ecef0) at kernel/qobject.cpp:3547
#33 0x00007fc6a9cdf132 in QAction::triggered (this=<optimized out>, _t1=false) at .moc/release-shared/moc_qaction.cpp:277
#34 0x00007fc6a9cdf31f in QAction::activate (this=0x4527730, event=<optimized out>) at kernel/qaction.cpp:1257
#35 0x00007fc6aa131119 in QMenuPrivate::activateCausedStack (this=0x4873820, causedStack=..., action=0x4527730, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1028
#36 0x00007fc6aa137272 in QMenuPrivate::activateAction (this=0x4873820, action=0x4527730, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1120
#37 0x00007fc6aaae0030 in KMenu::mouseReleaseEvent (this=0x317d9b0, e=0x7fff5e5edac0) at ../../kdeui/widgets/kmenu.cpp:464
#38 0x00007fc6a9d36144 in QWidget::event (this=0x317d9b0, event=0x7fff5e5edac0) at kernel/qwidget.cpp:8362
#39 0x00007fc6aa13880b in QMenu::event (this=0x317d9b0, e=0x7fff5e5edac0) at widgets/qmenu.cpp:2469
#40 0x00007fc6a9ce5894 in notify_helper (e=0x7fff5e5edac0, receiver=0x317d9b0, this=0x2b3fae0) at kernel/qapplication.cpp:4559
#41 QApplicationPrivate::notify_helper (this=0x2b3fae0, receiver=0x317d9b0, e=0x7fff5e5edac0) at kernel/qapplication.cpp:4531
#42 0x00007fc6a9ceb0bf in QApplication::notify (this=<optimized out>, receiver=0x317d9b0, e=0x7fff5e5edac0) at kernel/qapplication.cpp:4102
#43 0x00007fc6aaa1f3f6 in KApplication::notify (this=0x7fff5e5ee8c0, receiver=0x317d9b0, event=0x7fff5e5edac0) at ../../kdeui/kernel/kapplication.cpp:311
#44 0x00007fc6a92ebe9c in QCoreApplication::notifyInternal (this=0x7fff5e5ee8c0, receiver=0x317d9b0, event=0x7fff5e5edac0) at kernel/qcoreapplication.cpp:876
#45 0x00007fc6a9ce6862 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#46 QApplicationPrivate::sendMouseEvent (receiver=0x317d9b0, event=0x7fff5e5edac0, alienWidget=0x0, nativeWidget=0x317d9b0, buttonDown=0x0, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3170
#47 0x00007fc6a9d662c1 in QETWidget::translateMouseEvent (this=0x317d9b0, event=<optimized out>) at kernel/qapplication_x11.cpp:4551
#48 0x00007fc6a9d64bae in QApplication::x11ProcessEvent (this=0x7fff5e5ee8c0, event=0x7fff5e5ee390) at kernel/qapplication_x11.cpp:3732
#49 0x00007fc6a9d8e0d2 in x11EventSourceDispatch (s=0x2b41a00, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#50 0x00007fc6a1502d53 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#51 0x00007fc6a15030a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#52 0x00007fc6a1503164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#53 0x00007fc6a931b3bf in QEventDispatcherGlib::processEvents (this=0x2ad9180, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#54 0x00007fc6a9d8dd5e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#55 0x00007fc6a92eac82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#56 0x00007fc6a92eaed7 in QEventLoop::exec (this=0x7fff5e5ee730, flags=...) at kernel/qeventloop.cpp:204
#57 0x00007fc6a92eff67 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#58 0x00000000007094d9 in main (argc=1, argv=0x7fff5e5eefb8) at /home/sean/Programs/digikam-3.5.0/core/digikam/main/main.cpp:235
Comment 11 kshaav 2014-01-25 10:52:00 UTC
FYI

Just finished doing a fresh install of Linux Mint 16. Installed the repository version of digikam (3.4), created a new sqlite db (was using mysql before) from scratch and same problem.
Comment 12 kshaav 2014-01-26 08:58:51 UTC
I don't know if this is relevant or not --- seems possible...

One of the reasons that I switched to using mysql was that with 60K pictures, I found the sqlite was unbearably slow --- like, create a face tag and it would take 20 to 30 seconds for the name field to pop up and then again when it was actually writing it.  MySQL was running much faster---usable, but not what I would have expected even then.

Now, I've installed OpenSuse as a *virtual machine* and using the sqlite backend, there are nearly the performance issues and I noticed that it's using about 200MB of memory.  On Linux Mint it was using *2GB* of memory... Not having used it on any other OSes, I assumed this was normal...
Comment 13 caulier.gilles 2014-05-16 07:30:43 UTC
digiKam 4.0.0 is out :

http://www.digikam.org/node/713

Please check if this entry still valid with this new version.

Thanks in advance

Gilles Caulier
Comment 14 shaav 2014-05-19 03:20:03 UTC
Yup, it continues to be a problem.


Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fc288992ac0 (LWP 21930))]

Thread 27 (Thread 0x7fc265ff5700 (LWP 21933)):
#0  0x00007fc281926f7d in poll () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007fc26bd50198 in ?? () from /lib/x86_64-linux-gnu/libusb-1.0.so.0
#2  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#3  0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 26 (Thread 0x7fc258bce700 (LWP 21934)):
#0  0x00007fc27d9a5c84 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007fc282715406 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x000000000060c0b3 in Digikam::ScanController::run (this=0x273ffa0) at /home/sean/Programs/digikam-4.0.0/core/digikam/database/scancontroller.cpp:725
#3  0x00007fc282714f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 25 (Thread 0x7fc253fff700 (LWP 21935)):
#0  0x00007fc281926f7d in poll () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007fc27b3db6a4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc27b3db7ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc282841a76 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fc2828135ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#5  0x00007fc2828138e5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007fc28271288f in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#7  0x00007fc2827f4d13 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#8  0x00007fc282714f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#9  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#10 0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 24 (Thread 0x7fc2537fe700 (LWP 21937)):
#0  0x00007fc27d9a5c84 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007fc282715406 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fc285f2ad87 in Digikam::ParkingThread::run (this=0x29c8250) at /home/sean/Programs/digikam-4.0.0/core/libs/threads/threadmanager.cpp:119
#3  0x00007fc282714f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 23 (Thread 0x7fc23b586700 (LWP 21941)):
#0  0x00007fc27d9a603e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007fc2827153e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fc2827088a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fc282714f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 22 (Thread 0x7fc250ab8700 (LWP 21942)):
#0  0x00007fc27d9a603e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007fc2827153e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fc2827088a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fc282714f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 21 (Thread 0x7fc23fffe700 (LWP 21943)):
#0  0x00007fc281926f7d in poll () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007fc27b3db6a4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc27b3db7ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc282841a76 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fc2828135ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#5  0x00007fc2828138e5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007fc285f2a372 in Digikam::WorkerObjectRunnable::run (this=0x7fc204013970) at /home/sean/Programs/digikam-4.0.0/core/libs/threads/threadmanager.cpp:196
#7  0x00007fc2827087ae in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#8  0x00007fc282714f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#9  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#10 0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 20 (Thread 0x7fc23f7fd700 (LWP 21944)):
[KCrash Handler]
#5  0x00007fc281989e68 in ?? () from /lib/x86_64-linux-gnu/libc.so.6
#6  0x00007fc2853ea67a in cv::Mat::copyTo(cv::_OutputArray const&) const () from /usr/lib/libopencv_core.so.2.4
#7  0x00007fc286d7b6df in cv::Mat::clone (this=0x7fc23f7fbc50) at /usr/include/opencv2/core/mat.hpp:335
#8  0x00007fc286db6a7e in KFaceIface::OpenCVMatData::toMat (this=0x7fc2240392a0) at /home/sean/Programs/digikam-4.0.0/extra/libkface/libkface/database/dbcontainers.cpp:56
#9  0x00007fc286d7b142 in KFaceIface::LBPHFaceModel::setHistograms (this=0x7fc23f7fc000, histograms=..., histogramMetadata=...) at /home/sean/Programs/digikam-4.0.0/extra/libkface/libkface/recognition-opencv-lbph/lbphfacemodel.cpp:130
#10 0x00007fc286db5851 in KFaceIface::TrainingDB::lbphFaceModel (this=0x2b248f0) at /home/sean/Programs/digikam-4.0.0/extra/libkface/libkface/database/trainingdb.cpp:303
#11 0x00007fc286d7f2a4 in KFaceIface::OpenCVLBPHFaceRecognizer::Private::lbph (this=0x7fc224022970) at /home/sean/Programs/digikam-4.0.0/extra/libkface/libkface/recognition-opencv-lbph/opencvlbphfacerecognizer.cpp:67
#12 0x00007fc286d7ef2d in KFaceIface::OpenCVLBPHFaceRecognizer::train (this=0x7fc2240228d0, images=..., labels=..., context=...) at /home/sean/Programs/digikam-4.0.0/extra/libkface/libkface/recognition-opencv-lbph/opencvlbphfacerecognizer.cpp:171
#13 0x00007fc286d9d8d1 in KFaceIface::trainIdentityBatch<KFaceIface::OpenCVLBPHFaceRecognizer> (r=0x7fc2240228d0, identitiesToBeTrained=..., data=0x7fc23f7fc3b0, trainingContext=..., d=0x2b24240) at /home/sean/Programs/digikam-4.0.0/extra/libkface/libkface/recognitiondatabase.cpp:704
#14 0x00007fc286d9ce1d in KFaceIface::RecognitionDatabase::Private::train (this=0x2b24240, r=0x7fc2240228d0, identitiesToBeTrained=..., data=0x7fc23f7fc3b0, trainingContext=...) at /home/sean/Programs/digikam-4.0.0/extra/libkface/libkface/recognitiondatabase.cpp:727
#15 0x00007fc286d9ced1 in KFaceIface::RecognitionDatabase::train (this=0x2b78428, identitiesToBeTrained=..., data=0x7fc23f7fc3b0, trainingContext=...) at /home/sean/Programs/digikam-4.0.0/extra/libkface/libkface/recognitiondatabase.cpp:738
#16 0x000000000071adc7 in Digikam::Trainer::process (this=0x2b78410, package=...) at /home/sean/Programs/digikam-4.0.0/core/utilities/facemanagement/facepipeline.cpp:1030
#17 0x0000000000713ec5 in Digikam::Trainer::qt_static_metacall (_o=0x2b78410, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x7fc204026250) at /home/sean/Programs/digikam-4.0.0/build/core/digikam/facepipeline_p.moc:580
#18 0x00007fc28282cdce in QObject::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#19 0x00007fc285f2c125 in Digikam::WorkerObject::event (this=0x2b78410, e=0x7fc204025240) at /home/sean/Programs/digikam-4.0.0/core/libs/threads/workerobject.cpp:160
#20 0x00007fc283205dfc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#21 0x00007fc28320c470 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#22 0x00007fc283f0fa6a in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#23 0x00007fc2828148bd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#24 0x00007fc282817e1f in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#25 0x00007fc282842073 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#26 0x00007fc27b3db3b6 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#27 0x00007fc27b3db708 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#28 0x00007fc27b3db7ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#29 0x00007fc282841a55 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#30 0x00007fc2828135ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#31 0x00007fc2828138e5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#32 0x00007fc285f2a372 in Digikam::WorkerObjectRunnable::run (this=0xa517240) at /home/sean/Programs/digikam-4.0.0/core/libs/threads/threadmanager.cpp:196
#33 0x00007fc2827087ae in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#34 0x00007fc282714f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#35 0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#36 0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 19 (Thread 0x7fc23effc700 (LWP 21945)):
#0  0x00007fc27d9a603e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007fc2827153e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fc2827088a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fc282714f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 18 (Thread 0x7fc23dffa700 (LWP 21947)):
#0  0x00007fc27d9a603e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007fc2827153e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fc2827088a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fc282714f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 17 (Thread 0x7fc23d7f9700 (LWP 21948)):
#0  0x00007fc281926f7d in poll () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007fc27b3db6a4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc27b3db7ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc282841a55 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fc2828135ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#5  0x00007fc2828138e5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007fc285f2a372 in Digikam::WorkerObjectRunnable::run (this=0x7fc23403a1b0) at /home/sean/Programs/digikam-4.0.0/core/libs/threads/threadmanager.cpp:196
#7  0x00007fc2827087ae in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#8  0x00007fc282714f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#9  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#10 0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 16 (Thread 0x7fc23cff8700 (LWP 21949)):
#0  0x00007fc27d9a603e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007fc2827153e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fc2827088a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fc282714f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 15 (Thread 0x7fc239cc2700 (LWP 21951)):
#0  0x00007fc27d9a603e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007fc2827153e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fc2827088a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fc282714f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 14 (Thread 0x7fc2394c1700 (LWP 21952)):
#0  0x00007fc27d9a603e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007fc2827153e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fc2827088a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fc282714f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 13 (Thread 0x7fc238cc0700 (LWP 21953)):
#0  0x00007fc27d9a603e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007fc2827153e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fc2827088a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fc282714f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 12 (Thread 0x7fc20ffff700 (LWP 21954)):
#0  0x00007fc281926f7d in poll () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007fc27b3db6a4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc27b3db7ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc282841a55 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fc2828135ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#5  0x00007fc2828138e5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007fc285f2a372 in Digikam::WorkerObjectRunnable::run (this=0x6f073a0) at /home/sean/Programs/digikam-4.0.0/core/libs/threads/threadmanager.cpp:196
#7  0x00007fc2827087ae in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#8  0x00007fc282714f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#9  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#10 0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 11 (Thread 0x7fc20f7fe700 (LWP 21955)):
#0  0x00007fc27d9a603e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007fc2827153e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fc2827088a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fc282714f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 10 (Thread 0x7fc20e7fc700 (LWP 21957)):
#0  0x00007fc27d9a603e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007fc2827153e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fc2827088a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fc282714f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 9 (Thread 0x7fc20dffb700 (LWP 21958)):
#0  0x00007fc27d9a603e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007fc2827153e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fc2827088a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fc282714f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 8 (Thread 0x7fc20d7fa700 (LWP 21959)):
#0  0x00007fc27d9a603e in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007fc2827153e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fc2827088a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fc282714f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 7 (Thread 0x7fc1bfdb3700 (LWP 21987)):
#0  0x00007fc281926f7d in poll () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007fc27b3db6a4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc27b3db7ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc282841a76 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fc2828135ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#5  0x00007fc2828138e5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007fc28271288f in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#7  0x00007fc2827f4d13 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#8  0x00007fc282714f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#9  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#10 0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 6 (Thread 0x7fc1bbe0e700 (LWP 21988)):
#0  0x00007fc281926f7d in poll () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007fc27b3db6a4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc27b3db7ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc282841a76 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fc2828135ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#5  0x00007fc2828138e5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007fc28271288f in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#7  0x00007fc2827f4d13 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#8  0x00007fc282714f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#9  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#10 0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 5 (Thread 0x7fc1b69e3700 (LWP 21989)):
#0  0x00007fc27d9a5c84 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007fc277ab91cd in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007fc277ab9209 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#4  0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 4 (Thread 0x7fc170b62700 (LWP 21990)):
#0  0x00007fc281926f7d in poll () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007fc27b3db6a4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc27b3dbb0a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc26d0afb66 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007fc27b4000f5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#6  0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 3 (Thread 0x7fc16fcee700 (LWP 21991)):
#0  0x00007fc27d9a5c84 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007fc2777f9bbd in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007fc277ae8a76 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#4  0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 2 (Thread 0x7fc16d8ea700 (LWP 21997)):
#0  0x00007fc281926f7d in poll () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007fc27b3db6a4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc27b3db7ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc282841a76 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fc2828135ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#5  0x00007fc2828138e5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007fc28271288f in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#7  0x00007fc282714f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#8  0x00007fc27d9a1f6e in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#9  0x00007fc2819339cd in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 1 (Thread 0x7fc288992ac0 (LWP 21930)):
#0  0x00007fc27d9a5c84 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007fc282715406 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fc285f2be46 in Digikam::WorkerObject::wait (this=0x2bb8690) at /home/sean/Programs/digikam-4.0.0/core/libs/threads/workerobject.cpp:95
#3  0x000000000065e056 in Digikam::FileActionMngr::shutDown (this=0x2bb8360) at /home/sean/Programs/digikam-4.0.0/core/digikam/fileaction/fileactionmngr.cpp:110
#4  0x000000000065dcea in Digikam::FileActionMngr::~FileActionMngr (this=0x2bb8360, __in_chrg=<optimized out>) at /home/sean/Programs/digikam-4.0.0/core/digikam/fileaction/fileactionmngr.cpp:78
#5  0x000000000065f886 in Digikam::FileActionMngrCreator::~FileActionMngrCreator (this=0x2bb8360, __in_chrg=<optimized out>) at /home/sean/Programs/digikam-4.0.0/core/digikam/fileaction/fileactionmngr.cpp:52
#6  0x000000000065dbc7 in destroy () at /home/sean/Programs/digikam-4.0.0/core/digikam/fileaction/fileactionmngr.cpp:59
#7  0x00000000005df98b in KCleanUpGlobalStatic::~KCleanUpGlobalStatic (this=0xc73d48 <Digikam::._237::operator->()::cleanUpObject>, __in_chrg=<optimized out>) at /usr/include/kglobal.h:62
#8  0x00007fc281875071 in ?? () from /lib/x86_64-linux-gnu/libc.so.6
#9  0x00007fc2818750f5 in exit () from /lib/x86_64-linux-gnu/libc.so.6
#10 0x00007fc2732122e4 in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
#11 0x00007fc283f0e620 in KApplication::xioErrhandler(_XDisplay*) () from /usr/lib/libkdeui.so.5
#12 0x00007fc27fe2d64e in _XIOError () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#13 0x00007fc27fe2b03d in _XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#14 0x00007fc27fe1d12b in XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#15 0x00007fc2832a744c in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#16 0x00007fc27b3db121 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#17 0x00007fc27b3db63b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#18 0x00007fc27b3db7ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#19 0x00007fc282841a76 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#20 0x00007fc2832a79d6 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#21 0x00007fc2828135ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#22 0x00007fc2828138e5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#23 0x00007fc282818e5b in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#24 0x0000000000733267 in main (argc=1, argv=0x7fff7e774a58) at /home/sean/Programs/digikam-4.0.0/core/digikam/main/main.cpp:236
Comment 15 caulier.gilles 2014-06-11 21:14:00 UTC
Git commit fa909aa96e7e41225551cd9e866618717f1ea546 by Gilles Caulier.
Committed on 11/06/2014 at 21:06.
Pushed by cgilles into branch 'master'.

use a better C++ exception wrapper to handle non OpenCV exceptions (as pure C++ one)
Related: bug 335624, bug 330342, bug 329873, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 320812, bug 312440, bug 309027, bug 308645, bug 301611, bug 297558, bug 285517

M  +4    -0    libkface/facedetector.cpp
M  +17   -2    libkface/recognitiondatabase.cpp

http://commits.kde.org/libkface/fa909aa96e7e41225551cd9e866618717f1ea546
Comment 16 caulier.gilles 2014-06-11 21:31:34 UTC
With next digiKam 4.1.0, i fixed libkface to handle all C++ exception (and not only OpenCV exception).

So, at least, digiKam must crash lesser now. If you want to review this entry again, use current implementation from git/master, or wait next 4.1.0 release...

Thanks to update your feedback

Gilles Caulier
Comment 17 caulier.gilles 2014-06-18 14:26:19 UTC
Git commit 4662dd94102f8144bc65ce1cb66d6b6cb1d500fd by Gilles Caulier.
Committed on 18/06/2014 at 14:22.
Pushed by cgilles into branch 'master'.

Libkface now depand of last stable OpenCV library version 2.4.9
This prevent internal crash int Cv:Algorithm that we cannot handle in libkface as exception.
Now, Face Recognition do not crash but still report Exception at training operations, especially about wrong Cv:Matrix size :

digikam(8673)/digikam (core) Digikam::DImg::load:"/mnt/data2/photos/GILLES/NEW/Adrien/2010-04-13/20100413_009.jpg"  :
JPEG file identified
OpenCV Error: Assertion failed (0 <= _dims && _dims <= CV_MAX_DIM) in setSize, file /mnt/devel/opencv/modules/core/src/matrix.cpp, line 89
digikam(8673)/KFACE: cv::Exception training LBPH: /mnt/devel/opencv/modules/core/src/matrix.cpp:89: error: (-215) 0 <=_dims && _dims <= CV_MAX_DIM in function setSize

It still a problem somwhere, but it's better than previous state.
Related: bug 335624, bug 330342, bug 329873, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 320812, bug 312440, bug 309027, bug 308645, bug 301611, bug 297558, bug 285517

M  +1    -1    CMakeLists.txt

http://commits.kde.org/libkface/4662dd94102f8144bc65ce1cb66d6b6cb1d500fd
Comment 18 shaav 2014-06-22 23:03:13 UTC
No change. Built 4.1.0 with OpenCV 2.4.9.  Crashes nearly immediately after tagging a face.

I was running 3.5.0 in an OpenSuse VM so that I could actually apply facetags---it worked fine for quite a while and then just recently started crashing the same way. It's profoundly frustrating.
Comment 19 caulier.gilles 2014-06-23 03:52:28 UTC
Not reproducible here.

I play with Face Management a lots and no crash here in all situation.

Do you use libkface compiled with source code from git/master or libkface from your system ?

I review libkface code indeep recently...

Gilles Caulier
Comment 20 caulier.gilles 2014-06-23 03:57:05 UTC
I just update libkface revision to 3.1.0 just to be sure to identify right code on your computer...

Gilles Caulier
Comment 21 shaav 2014-06-23 04:16:04 UTC
I pulled everything from git today.  If I can give you any other info, just let me know. I would LOVE to get this resolved.
Comment 22 caulier.gilles 2014-06-23 05:22:01 UTC
yes, please checkout again code where i add new debug trace on the console.

Run kdebugdialog and digiKam as explained here :

http://www.digikam.org/contrib

Note : turn on KFace debug space to see trace on the console.

Gilles Caulier
Comment 23 shaav 2014-06-23 06:15:01 UTC
I hope I did everything right --- I am not a developer, so I only kind of know what I'm doing.
Sorry in advance if I messed anything up.

I did a "git checkout" and then rebuilt it. And then making sure everything was checked in KDebugDialog window, from the KDE bug window:

Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
[Current thread is 1 (Thread 0x7f9c9d3aea80 (LWP 17248))]

Thread 35 (Thread 0x7f9c74104700 (LWP 17250)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f9c971a8406 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x000000000060ce81 in Digikam::ScanController::run (this=0x2e01c40) at /home/sean/Programs/digikam-4.1.0/core/digikam/database/scancontroller.cpp:725
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c74104700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 34 (Thread 0x7f9c73903700 (LWP 17251)):
#0  0x00007f9c900c40ea in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f9c900c4399 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f9c90083938 in g_main_context_release () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f9c90084651 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f9c900847ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f9c972d4a76 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007f9c972a65ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#7  0x00007f9c972a68e5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#8  0x00007f9c971a588f in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#9  0x00007f9c97287d13 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#10 0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#11 0x00007f9c92416f6e in start_thread (arg=0x7f9c73903700) at pthread_create.c:311
#12 0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 33 (Thread 0x7f9c5a936700 (LWP 17260)):
#0  __GI___pthread_mutex_lock (mutex=0x7f9c54001510) at pthread_mutex_lock.c:90
#1  0x00007f9c900c43a1 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f9c900837f0 in g_main_context_acquire () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f9c90084565 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f9c900847ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f9c972d4a76 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007f9c972a65ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#7  0x00007f9c972a68e5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#8  0x00007f9c9aa79d7c in Digikam::WorkerObjectRunnable::run (this=0x32c54b0) at /home/sean/Programs/digikam-4.1.0/core/libs/threads/threadmanager.cpp:196
#9  0x00007f9c9719b7ae in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#10 0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#11 0x00007f9c92416f6e in start_thread (arg=0x7f9c5a936700) at pthread_create.c:311
#12 0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 32 (Thread 0x7f9c5fdc7700 (LWP 17261)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c5fdc7700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 31 (Thread 0x7f9c5f08c700 (LWP 17262)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c5f08c700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 30 (Thread 0x7f9c5e88b700 (LWP 17263)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c5e88b700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 29 (Thread 0x7f9c5e08a700 (LWP 17264)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c5e08a700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 28 (Thread 0x7f9c5d889700 (LWP 17265)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c5d889700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 27 (Thread 0x7f9c5d088700 (LWP 17266)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c5d088700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 26 (Thread 0x7f9c5c887700 (LWP 17267)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c5c887700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 25 (Thread 0x7f9c5c086700 (LWP 17268)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c5c086700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 24 (Thread 0x7f9c59873700 (LWP 17269)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c59873700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 23 (Thread 0x7f9c59072700 (LWP 17270)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c59072700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 22 (Thread 0x7f9c58871700 (LWP 17271)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c58871700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 21 (Thread 0x7f9c3ffff700 (LWP 17272)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c3ffff700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 20 (Thread 0x7f9c3f7fe700 (LWP 17273)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c3f7fe700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 19 (Thread 0x7f9c3effd700 (LWP 17274)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c3effd700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 18 (Thread 0x7f9c3e7fc700 (LWP 17275)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c3e7fc700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 17 (Thread 0x7f9c3dffb700 (LWP 17276)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c3dffb700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 16 (Thread 0x7f9c3d7fa700 (LWP 17277)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c3d7fa700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 15 (Thread 0x7f9c3cff9700 (LWP 17278)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c3cff9700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 14 (Thread 0x7f9c37fff700 (LWP 17279)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c37fff700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 13 (Thread 0x7f9c377fe700 (LWP 17280)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c377fe700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 12 (Thread 0x7f9c36ffd700 (LWP 17281)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c36ffd700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 11 (Thread 0x7f9c367fc700 (LWP 17282)):
[KCrash Handler]
#5  __memcpy_ssse3_back () at ../sysdeps/x86_64/multiarch/memcpy-ssse3-back.S:1548
#6  0x00007f9c99b6e532 in cv::Mat::copyTo(cv::_OutputArray const&) const () from /home/sean/Programs/opencv-2.4.9/release/lib/libopencv_core.so.2.4
#7  0x00007f9c9b8e8e35 in cv::Mat::clone (this=0x7f9c367fac70) at /home/sean/Programs/opencv-2.4.9/modules/core/include/opencv2/core/mat.hpp:335
#8  0x00007f9c9b913bfc in KFaceIface::OpenCVMatData::toMat (this=0x7f9bf807d330) at /home/sean/Programs/digikam-4.1.0/extra/libkface/libkface/database/dbcontainers.cpp:56
#9  0x00007f9c9b8e8898 in KFaceIface::LBPHFaceModel::setHistograms (this=0x7f9c367fb020, histograms=..., histogramMetadata=...) at /home/sean/Programs/digikam-4.1.0/extra/libkface/libkface/recognition-opencv-lbph/lbphfacemodel.cpp:148
#10 0x00007f9c9b9127c7 in KFaceIface::TrainingDB::lbphFaceModel (this=0x31b7110) at /home/sean/Programs/digikam-4.1.0/extra/libkface/libkface/database/trainingdb.cpp:258
#11 0x00007f9c9b8eb9a2 in KFaceIface::OpenCVLBPHFaceRecognizer::Private::lbph (this=0x7f9bf8019400) at /home/sean/Programs/digikam-4.1.0/extra/libkface/libkface/recognition-opencv-lbph/opencvlbphfacerecognizer.cpp:67
#12 0x00007f9c9b8eb62b in KFaceIface::OpenCVLBPHFaceRecognizer::train (this=0x7f9bf801a890, images=..., labels=..., context=...) at /home/sean/Programs/digikam-4.1.0/extra/libkface/libkface/recognition-opencv-lbph/opencvlbphfacerecognizer.cpp:171
#13 0x00007f9c9b8d8fa1 in KFaceIface::trainIdentityBatch<KFaceIface::OpenCVLBPHFaceRecognizer> (r=0x7f9bf801a890, identitiesToBeTrained=..., data=0x7f9c367fb3f0, trainingContext=..., d=0x31b6ab0) at /home/sean/Programs/digikam-4.1.0/extra/libkface/libkface/recognitiondatabase.cpp:743
#14 0x00007f9c9b8d8727 in KFaceIface::RecognitionDatabase::Private::train (this=0x31b6ab0, r=0x7f9bf801a890, identitiesToBeTrained=..., data=0x7f9c367fb3f0, trainingContext=...) at /home/sean/Programs/digikam-4.1.0/extra/libkface/libkface/recognitiondatabase.cpp:759
#15 0x00007f9c9b8d87db in KFaceIface::RecognitionDatabase::train (this=0x326b6e8, identitiesToBeTrained=..., data=0x7f9c367fb3f0, trainingContext=...) at /home/sean/Programs/digikam-4.1.0/extra/libkface/libkface/recognitiondatabase.cpp:772
#16 0x000000000071d4f7 in Digikam::Trainer::process (this=0x326b6d0, package=...) at /home/sean/Programs/digikam-4.1.0/core/utilities/facemanagement/facepipeline.cpp:1030
#17 0x00000000007165f5 in Digikam::Trainer::qt_static_metacall (_o=0x326b6d0, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x7f9c540348b0) at /home/sean/Programs/digikam-4.1.0/build/core/digikam/facepipeline_p.moc:580
#18 0x00007f9c972bfdce in QObject::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#19 0x00007f9c9aa7bb2f in Digikam::WorkerObject::event (this=0x326b6d0, e=0x7f9c54033960) at /home/sean/Programs/digikam-4.1.0/core/libs/threads/workerobject.cpp:160
#20 0x00007f9c97c98dfc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#21 0x00007f9c97c9f470 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#22 0x00007f9c989a2a6a in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#23 0x00007f9c972a78bd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#24 0x00007f9c972aae1f in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#25 0x00007f9c972d5073 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#26 0x00007f9c900843b6 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#27 0x00007f9c90084708 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#28 0x00007f9c900847ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#29 0x00007f9c972d4a76 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#30 0x00007f9c972a65ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#31 0x00007f9c972a68e5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#32 0x00007f9c9aa79d7c in Digikam::WorkerObjectRunnable::run (this=0x8f6d1a0) at /home/sean/Programs/digikam-4.1.0/core/libs/threads/threadmanager.cpp:196
#33 0x00007f9c9719b7ae in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#34 0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#35 0x00007f9c92416f6e in start_thread (arg=0x7f9c367fc700) at pthread_create.c:311
#36 0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 10 (Thread 0x7f9c35ffb700 (LWP 17283)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c35ffb700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 9 (Thread 0x7f9c357fa700 (LWP 17284)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c357fa700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 8 (Thread 0x7f9c34ff9700 (LWP 17285)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f9c971a83e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c92416f6e in start_thread (arg=0x7f9c34ff9700) at pthread_create.c:311
#5  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 7 (Thread 0x7f9bd7947700 (LWP 17304)):
#0  0x00007f9c900c40ea in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f9c900c43c9 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f9c900847b6 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f9c972d4a76 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c972a65ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#5  0x00007f9c972a68e5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007f9c971a588f in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#7  0x00007f9c97287d13 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#8  0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#9  0x00007f9c92416f6e in start_thread (arg=0x7f9bd7947700) at pthread_create.c:311
#10 0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 6 (Thread 0x7f9bd39a2700 (LWP 17305)):
#0  0x00007f9c900c40ea in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f9c900c4399 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f9c90083d59 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f9c900845c3 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f9c900847ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f9c972d4a76 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007f9c972a65ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#7  0x00007f9c972a68e5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#8  0x00007f9c971a588f in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#9  0x00007f9c97287d13 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#10 0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#11 0x00007f9c92416f6e in start_thread (arg=0x7f9bd39a2700) at pthread_create.c:311
#12 0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 5 (Thread 0x7f9bce577700 (LWP 17306)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f9c8c73e1cd in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007f9c8c73e209 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007f9c92416f6e in start_thread (arg=0x7f9bce577700) at pthread_create.c:311
#4  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 4 (Thread 0x7f9b886f6700 (LWP 17307)):
#0  0x00007f9c900c40ea in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f9c900c43c9 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f9c90084651 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f9c90084b0a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f9c81e4ab66 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#5  0x00007f9c900a90f5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f9c92416f6e in start_thread (arg=0x7f9b886f6700) at pthread_create.c:311
#7  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 3 (Thread 0x7f9b87882700 (LWP 17308)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f9c8c47ebbd in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007f9c8c76da76 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007f9c92416f6e in start_thread (arg=0x7f9b87882700) at pthread_create.c:311
#4  0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7f9b84c7d700 (LWP 17314)):
#0  __tls_get_addr (ti=0x7f9c9760ba50) at dl-tls.c:775
#1  0x00007f9c971a6c44 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c972d4981 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c90083d4d in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f9c900845c3 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f9c900847ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f9c972d4a76 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#7  0x00007f9c972a65ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#8  0x00007f9c972a68e5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#9  0x00007f9c971a588f in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#10 0x00007f9c971a7f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#11 0x00007f9c92416f6e in start_thread (arg=0x7f9b84c7d700) at pthread_create.c:311
#12 0x00007f9c963c69cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7f9c9d3aea80 (LWP 17248)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f9c971a8406 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007f9c9719b1c2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007f9c9719c565 in QThreadPool::~QThreadPool() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007f9c9719c599 in QThreadPool::~QThreadPool() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#5  0x00007f9c972be308 in QObjectPrivate::deleteChildren() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007f9c972c08af in QObject::~QObject() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#7  0x00007f9c9aa7a12c in Digikam::ThreadManager::~ThreadManager (this=0x311f1e0, __in_chrg=<optimized out>) at /home/sean/Programs/digikam-4.1.0/core/libs/threads/threadmanager.cpp:257
#8  0x00007f9c9aa7a9a4 in Digikam::ThreadManagerCreator::~ThreadManagerCreator (this=0x311f1e0, __in_chrg=<optimized out>) at /home/sean/Programs/digikam-4.1.0/core/libs/threads/threadmanager.cpp:236
#9  0x00007f9c9aa79fd5 in destroy () at /home/sean/Programs/digikam-4.1.0/core/libs/threads/threadmanager.cpp:241
#10 0x00007f9c9a88acbd in KCleanUpGlobalStatic::~KCleanUpGlobalStatic (this=0x7f9c9af0bc48 <_ZZN7Digikam5._152ptEvE13cleanUpObject>, __in_chrg=<optimized out>) at /usr/include/kglobal.h:62
#11 0x00007f9c96308071 in __run_exit_handlers (status=1, listp=0x7f9c9668d6a8 <__exit_funcs>, run_list_atexit=run_list_atexit@entry=true) at exit.c:77
#12 0x00007f9c963080f5 in __GI_exit (status=<optimized out>) at exit.c:99
#13 0x00007f9c87e972e4 in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
#14 0x00007f9c989a1620 in KApplication::xioErrhandler(_XDisplay*) () from /usr/lib/libkdeui.so.5
#15 0x00007f9c948c064e in _XIOError () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#16 0x00007f9c948be03d in _XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#17 0x00007f9c948b012b in XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#18 0x00007f9c97d3a44c in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#19 0x00007f9c90084121 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#20 0x00007f9c9008463b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#21 0x00007f9c900847ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#22 0x00007f9c972d4a55 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#23 0x00007f9c97d3a9d6 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#24 0x00007f9c972a65ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#25 0x00007f9c972a68e5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#26 0x00007f9c972abe5b in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#27 0x000000000073597f in main (argc=1, argv=0x7fff13354038) at /home/sean/Programs/digikam-4.1.0/core/digikam/main/main.cpp:236


And I also did a gdb backtrace:

#0  0x00007ffff13bea50 in __cxa_throw () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#1  0x00007fffede921ad in ?? () from /usr/lib/libexiv2.so.12
#2  0x00007fffede92704 in ?? () from /usr/lib/libexiv2.so.12
#3  0x00007fffedec007a in ?? () from /usr/lib/libexiv2.so.12
#4  0x00007fffede83448 in ?? () from /usr/lib/libexiv2.so.12
#5  0x00007fffede7ef4c in Exiv2::XmpParser::encode(std::string&, Exiv2::XmpData const&, unsigned short, unsigned int) ()
   from /usr/lib/libexiv2.so.12
#6  0x00007fffede09fd4 in ?? () from /usr/lib/libexiv2.so.12
#7  0x00007fffede0b239 in Exiv2::JpegBase::writeMetadata() () from /usr/lib/libexiv2.so.12
#8  0x00007ffff5c3d9a4 in KExiv2Iface::KExiv2::Private::saveOperations (this=0x7fff7ce5d500, finfo=..., image=...)
    at /home/sean/Programs/digikam-4.1.0/extra/libkexiv2/libkexiv2/kexiv2_p.cpp:303
#9  0x00007ffff5c3c642 in KExiv2Iface::KExiv2::Private::saveToFile (this=0x7fff7ce5d500, finfo=...)
    at /home/sean/Programs/digikam-4.1.0/extra/libkexiv2/libkexiv2/kexiv2_p.cpp:155
#10 0x00007ffff5c3724f in KExiv2Iface::KExiv2::save (this=0x7fff92ffc340, imageFilePath=...)
    at /home/sean/Programs/digikam-4.1.0/extra/libkexiv2/libkexiv2/kexiv2.cpp:440
#11 0x00007ffff5c3782f in KExiv2Iface::KExiv2::applyChanges (this=0x7fff92ffc340)
    at /home/sean/Programs/digikam-4.1.0/extra/libkexiv2/libkexiv2/kexiv2.cpp:468
#12 0x00007ffff54af195 in Digikam::DMetadata::applyChanges (this=0x7fff92ffc340)
    at /home/sean/Programs/digikam-4.1.0/core/libs/dmetadata/dmetadata.cpp:130
#13 0x0000000000659abb in Digikam::MetadataHub::write (this=0x7fff92ffc3a0, filePath=..., 
    writeMode=Digikam::MetadataHub::FullWrite, settings=...)
    at /home/sean/Programs/digikam-4.1.0/core/digikam/fileaction/metadatahub.cpp:779
#14 0x00000000006662ed in Digikam::FileActionMngrFileWorker::writeMetadataToFiles (this=0x1404970, infos=...)
    at /home/sean/Programs/digikam-4.1.0/core/digikam/fileaction/fileworkeriface.cpp:94
#15 0x0000000000665bf9 in Digikam::FileWorkerInterface::qt_static_metacall (_o=0x1404970, _c=QMetaObject::InvokeMetaMethod, 
    _id=3, _a=0x7fff5a942720) at /home/sean/Programs/digikam-4.1.0/build/core/digikam/fileworkeriface.moc:67
#16 0x00007ffff1d75dce in QObject::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#17 0x00007ffff5531b2f in Digikam::WorkerObject::event (this=0x1404970, e=0x7fff5a942780)
    at /home/sean/Programs/digikam-4.1.0/core/libs/threads/workerobject.cpp:160
#18 0x00007ffff274edfc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#19 0x00007ffff2755470 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#20 0x00007ffff3458a6a in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#21 0x00007ffff1d5d8bd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#22 0x00007ffff1d60e1f in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) ()
   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#23 0x00007ffff1d8b073 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#24 0x00007fffeab3a3b6 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#25 0x00007fffeab3a708 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#26 0x00007fffeab3a7ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#27 0x00007ffff1d8aa55 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#28 0x00007ffff1d5c5ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#29 0x00007ffff1d5c8e5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#30 0x00007ffff552fd7c in Digikam::WorkerObjectRunnable::run (this=0x7fff58017a70)
    at /home/sean/Programs/digikam-4.1.0/core/libs/threads/threadmanager.cpp:196
#31 0x00007ffff1c517ae in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#32 0x00007ffff1c5df2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#33 0x00007fffececcf6e in start_thread (arg=0x7fff92ffd700) at pthread_create.c:311
#34 0x00007ffff0e7c9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113
Comment 24 caulier.gilles 2014-06-23 06:29:43 UTC
As i can see in your previous backtrace, it crash into OpenCV clone operation using SSE3 optimizations for Intel... It can be an upstream problem.

I repeat : here, with an OpenCV 2.4.9 compiled myself, there is no crash. I can tag face manually or run Face Recognition during a long moment (one hour). In turn and process fine.

Gilles Caulier
Comment 25 caulier.gilles 2014-06-23 06:31:46 UTC
It's clear :

#5  __memcpy_ssse3_back () at
../sysdeps/x86_64/multiarch/memcpy-ssse3-back.S:1548
#6  0x00007f9c99b6e532 in cv::Mat::copyTo(cv::_OutputArray const&) const ()

SSE3 copy crash. I think i don't have enabled this king of optimization here with OpenCV 2.4.9.

What's about runtime process console trace i ask before (not GDB backtrace)

Gilles Caulier
Comment 26 shaav 2014-06-23 21:48:46 UTC
(In reply to comment #24)
> As i can see in your previous backtrace, it crash into OpenCV clone
> operation using SSE3 optimizations for Intel... It can be an upstream
> problem.

That does give me some idea why suddenly my VM started having the problem---I fiddled with some settings recently---but I don't really understand the implications here... it's an OpenCV problem? It's a fundamental incompatibility with my computer? (?!)  Is it possible to build digikam without OpenCV at all? All I want to be able to do is *manually* facetag my pictures.

> What's about runtime process console trace i ask before (not GDB backtrace)

If that's not the backtrace I had before the gdb backtrace, then I'm not sure how to produce it. The instructions just say: "digiKam trace main debug statements into the console."  What console?
Comment 27 shaav 2014-06-23 22:04:37 UTC
I was googling to see if there are any ways to turn off the SSSE3 optimization during compiling or somehow else and I came across this:

http://stackoverflow.com/questions/11507675/memcpy-ssse3-segmentation-fault

It doesn't mean very much to me, but thought it might to you.
Comment 28 e.longuemare 2014-06-23 23:12:26 UTC
Hello,

Should you check if your this by command line:

cat /proc/cpuinfo

and see if you have SSE3 flag at line flags.

Have a look here : https://bugs.kde.org/show_bug.cgi?id=325309.

Greatings,

Eric
Comment 29 shaav 2014-06-24 00:25:23 UTC
>and see if you have SSE3 flag at line flags.

I do. As well as everything up to SSE42.

So I rebuilt OpenCV turning off SSE3 (everything above that was already off) and then rebuilt digikam (is that actually necessary? I wasn't sure if it was or if you can just rebuild OpenCV).

No change.

I rebuilt OpenCV with all of the SSE options turned off. Rebuilt digikam.

No change.


OCV_OPTION(ENABLE_SSE                 "Enable SSE instructions"                                  OFF   IF ((MSVC OR CMAKE_COMPILER_IS_GNUCXX) AND (X86 $
OCV_OPTION(ENABLE_SSE2                "Enable SSE2 instructions"                                 OFF   IF ((MSVC OR CMAKE_COMPILER_IS_GNUCXX) AND (X86 $
OCV_OPTION(ENABLE_SSE3                "Enable SSE3 instructions"                                 OFF   IF ((CV_ICC OR CMAKE_COMPILER_IS_GNUCXX) AND (X8$
OCV_OPTION(ENABLE_SSSE3               "Enable SSSE3 instructions"                                OFF  IF (CMAKE_COMPILER_IS_GNUCXX AND (X86 OR X86_64))$
OCV_OPTION(ENABLE_SSE41               "Enable SSE4.1 instructions"                               OFF  IF ((CV_ICC OR CMAKE_COMPILER_IS_GNUCXX) AND (X86$
OCV_OPTION(ENABLE_SSE42               "Enable SSE4.2 instructions"                               OFF  IF (CMAKE_COMPILER_IS_GNUCXX AND (X86 OR X86_64))$
Comment 30 e.longuemare 2014-06-24 06:57:03 UTC
Hello,

if you have SSE3 in flags when check with "cat /proc/cpuinfo", this is not related.

Should you put here the result of "cat /proc/cpuinfo" ?

You should do as Gilles says in comment #22  :  get a trace of runtime.

Greatings,

Eric
Comment 31 shaav 2014-06-24 07:01:30 UTC
Thanks for the reply Eric

> Should you put here the result of "cat /proc/cpuinfo" ?

processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 58
model name	: Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz
stepping	: 9
microcode	: 0x12
cpu MHz		: 1600.000
cache size	: 6144 KB
physical id	: 0
siblings	: 4
core id		: 0
cpu cores	: 4
apicid		: 0
initial apicid	: 0
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 popcnt tsc_deadline_timer aes xsave avx f16c rdrand lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept vpid fsgsbase smep erms
bogomips	: 6935.80
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 1
vendor_id	: GenuineIntel
cpu family	: 6
model		: 58
model name	: Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz
stepping	: 9
microcode	: 0x12
cpu MHz		: 1600.000
cache size	: 6144 KB
physical id	: 0
siblings	: 4
core id		: 1
cpu cores	: 4
apicid		: 2
initial apicid	: 2
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 popcnt tsc_deadline_timer aes xsave avx f16c rdrand lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept vpid fsgsbase smep erms
bogomips	: 6935.80
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 2
vendor_id	: GenuineIntel
cpu family	: 6
model		: 58
model name	: Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz
stepping	: 9
microcode	: 0x12
cpu MHz		: 1600.000
cache size	: 6144 KB
physical id	: 0
siblings	: 4
core id		: 2
cpu cores	: 4
apicid		: 4
initial apicid	: 4
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 popcnt tsc_deadline_timer aes xsave avx f16c rdrand lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept vpid fsgsbase smep erms
bogomips	: 6935.80
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 3
vendor_id	: GenuineIntel
cpu family	: 6
model		: 58
model name	: Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz
stepping	: 9
microcode	: 0x12
cpu MHz		: 1600.000
cache size	: 6144 KB
physical id	: 0
siblings	: 4
core id		: 3
cpu cores	: 4
apicid		: 6
initial apicid	: 6
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 popcnt tsc_deadline_timer aes xsave avx f16c rdrand lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept vpid fsgsbase smep erms
bogomips	: 6935.80
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

> You should do as Gilles says in comment #22  :  get a trace of runtime.

I would --- don't know how.
Comment 32 e.longuemare 2014-06-24 07:18:01 UTC
So your proc support SSE3, this is not the problem I think (you don't have to disable SSE at compilation of openCV). You must compile, install openCV before compile and install digikam.

To get runtime trace (as Gilles asked you in #comment22 :

look here : 
https://www.youtube.com/watch?v=uw8FdebrIJs 

and  check things related to digikam and its dependencies. KFACE as Gilles said.

Then run digikam in a shell and reproduce the crash.

Greatings,

Eric
Comment 33 caulier.gilles 2014-06-24 07:40:29 UTC
If you have disabled SSE support in OpenCV, and recompiled libkface + whole digiKam (this require to reset cmake cache file to be sure), and if OPenCV continue to crash in SSE support as previous, well there is a problem in your way to make whole digiKam with OPenCV.

Are you sure that digiKam and libkface use libopenCV compiled by you and not system based ?

# ldd /usr/lib64/libkface.so |grep opencv
        libopencv_videostab.so.2.4 => /usr/lib/libopencv_videostab.so.2.4 (0x00007fd647772000)
        libopencv_video.so.2.4 => /usr/lib/libopencv_video.so.2.4 (0x00007fd647504000)
        libopencv_superres.so.2.4 => /usr/lib/libopencv_superres.so.2.4 (0x00007fd6472d5000)
        libopencv_stitching.so.2.4 => /usr/lib/libopencv_stitching.so.2.4 (0x00007fd646fc0000)
        libopencv_photo.so.2.4 => /usr/lib/libopencv_photo.so.2.4 (0x00007fd646d92000)
        libopencv_objdetect.so.2.4 => /usr/lib/libopencv_objdetect.so.2.4 (0x00007fd646a54000)
        libopencv_nonfree.so.2.4 => /usr/lib/libopencv_nonfree.so.2.4 (0x00007fd64681b000)
        libopencv_ml.so.2.4 => /usr/lib/libopencv_ml.so.2.4 (0x00007fd64656e000)
        libopencv_legacy.so.2.4 => /usr/lib/libopencv_legacy.so.2.4 (0x00007fd64617b000)
        libopencv_imgproc.so.2.4 => /usr/lib/libopencv_imgproc.so.2.4 (0x00007fd645bb9000)
        libopencv_highgui.so.2.4 => /usr/lib/libopencv_highgui.so.2.4 (0x00007fd64597d000)
        libopencv_gpu.so.2.4 => /usr/lib/libopencv_gpu.so.2.4 (0x00007fd645754000)
        libopencv_flann.so.2.4 => /usr/lib/libopencv_flann.so.2.4 (0x00007fd645452000)
        libopencv_features2d.so.2.4 => /usr/lib/libopencv_features2d.so.2.4 (0x00007fd645119000)
        libopencv_core.so.2.4 => /usr/lib/libopencv_core.so.2.4 (0x00007fd644bd7000)
        libopencv_contrib.so.2.4 => /usr/lib/libopencv_contrib.so.2.4 (0x00007fd644823000)
        libopencv_calib3d.so.2.4 => /usr/lib/libopencv_calib3d.so.2.4 (0x00007fd6444c9000)

==> you will see that libkface is linked with OpenCV 2.4.*. To be sure that 2.4.9 is used, look where /usr/lib/libopencv_core.so.2.4 symlink point :

# ls -l /usr/lib/libopencv_core.so.2.4 
lrwxrwxrwx 1 root root 23 juin  19 19:40 /usr/lib/libopencv_core.so.2.4 -> libopencv_core.so.2.4.9*

for me, it's my 2.4.9 OpenCV...

Gilles Caulier
Comment 34 e.longuemare 2014-06-24 07:43:13 UTC
Created attachment 87359 [details]
lena.jpg test openCV out of digikam

You should check if openCV is right :

look here : http://thesilenceoflambs.wordpress.com/2012/05/08/install-and-test-opencv-under-fedora-16/

and check openCV alone : 
The next part is to test whether openCV can function well.

cd ~/OpenCV-2.4.x/samples/c

sh  build_all.sh

./facedetect  lena.jpg

If an image can pop up,  congratulations!  The library can work well!

Greatings,

Eric
Comment 35 caulier.gilles 2014-06-24 08:15:10 UTC
Created attachment 87360 [details]
Screenshot of "detect" test tool from libkface in action

libkface provide also a CLI tool to test face detection :

Look this screenshot for details. On the left of "detect" window, the whole image, on the right, the face region detected...

Gilles Caulier
Comment 36 shaav 2014-06-24 08:28:12 UTC
> Are you sure that digiKam and libkface use libopenCV compiled by you and not system based ?

Yes, it is pointing to the 2.4.9 that I built.

> If an image can pop up,  congratulations!  The library can work well!

All good.

> Then run digikam in a shell and reproduce the crash.

*doh* Over-thinking things... I thought there was a special debugging console or something. Output is:

digikam(2306)/digikam (core) Digikam::KInotify::Private::open: Successfully opened connection to inotify: 20
Object::connect: No such signal org::freedesktop::UPower::DeviceAdded(QDBusObjectPath)
Object::connect: No such signal org::freedesktop::UPower::DeviceRemoved(QDBusObjectPath)
digikam(2306)/digikam (core) Digikam::AlbumManager::setDatabase: DatabaseParameters: [ Type "QSQLITE", Name "/home/sean/Pictures/Digikam/digikam" (Thumbnails Name "/home/sean/Pictures/Digikam/digikam"); ]
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is still in use, all queries will cease to work.
digikam(2306)/digikam (core) Digikam::DatabaseConfigElementLoader::readConfig: Loading SQL code from config file "/usr/share/kde4/apps/digikam/database/dbconfig.xml"
digikam(2306)/digikam (core) Digikam::DatabaseConfigElementLoader::readConfig: false "1" 1 1
digikam(2306)/digikam (core) Digikam::SchemaUpdater::update: SchemaUpdater update
digikam(2306)/digikam (core) Digikam::SchemaUpdater::startUpdates: Have a database structure version  7
digikam(2306)/digikam (core) Digikam::SchemaUpdater::makeUpdates: makeUpdates  7  to  7
"/org/freedesktop/UDisks2/drives/M4_CT128M4SSD2_000000001253092290F0" : property "DeviceNumber" does not exist 
"/org/freedesktop/UDisks2/drives/M4_CT128M4SSD2_000000001253092290F0" : property "Device" does not exist 
digikam(2306)/digikam (core) Digikam::AlbumRootLocation::AlbumRootLocation: Creating new Location  "/sean/Pictures/ToProcess"  uuid  "volumeid:?uuid=62b1193d-529f-42b6-881e-7a8cd45b8349"
digikam(2306)/digikam (core) Digikam::AlbumRootLocation::AlbumRootLocation: Creating new Location  "/sean/Pictures/Photos and Memorabilia"  uuid  "volumeid:?uuid=62b1193d-529f-42b6-881e-7a8cd45b8349"
digikam(2306)/digikam (core) Digikam::AlbumRootLocation::AlbumRootLocation: Creating new Location  "/sean/Pictures/Graphics"  uuid  "volumeid:?uuid=62b1193d-529f-42b6-881e-7a8cd45b8349"
digikam(2306)/digikam (core) Digikam::AlbumRootLocation::AlbumRootLocation: Creating new Location  "/sean/Pictures/Sean Art"  uuid  "volumeid:?uuid=62b1193d-529f-42b6-881e-7a8cd45b8349"
digikam(2306)/digikam (core) Digikam::CollectionManager::updateLocations: location for  "/home/sean/Pictures/ToProcess"  is available  true
digikam(2306)/digikam (core) Digikam::CollectionManager::updateLocations: location for  "/home/sean/Pictures/Photos and Memorabilia"  is available  true
digikam(2306)/digikam (core) Digikam::CollectionManager::updateLocations: location for  "/home/sean/Pictures/Graphics"  is available  true
digikam(2306)/digikam (core) Digikam::CollectionManager::updateLocations: location for  "/home/sean/Pictures/Sean Art"  is available  true
digikam(2306)/digikam (core) Digikam::KMemoryInfo::update: Platform identified :  "LINUX"
digikam(2306)/digikam (core) Digikam::KMemoryInfo::bytes: TotalRam:  16779005952
digikam(2306)/digikam (core) Digikam::LoadingCache::setCacheSize: Allowing a cache size of 200 MB
digikam(2306)/digikam (core) Digikam::ThumbnailSchemaUpdater::startUpdates: Have a thumbnail database structure version  "2"
digikam(2306)/digikam (core) Digikam::ThumbnailLoadThread::initializeThumbnailDatabase: Thumbnail db ready for use
digikam(2306)/digikam (core) Digikam::CollectionScanner::completeScan: Complete scan (file scanning deferred) took: 1073 msecs.
digikam(2306)/digikam (core) Digikam::IccSettings::Private::scanDirectories: ("/usr/share/color/icc", "/home/sean/.local/share/icc")
digikam(2306)/KFACE KFaceIface::SchemaUpdater::startUpdates: Have a database structure version  "1"
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "AntiVignettingFilter" :: excecution time :  2  ms
digikam(2306)/digikam (core) Digikam::CurvesWidget::updateData: updating data
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  1  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  1  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  0  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  1  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  0  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  1  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  2  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  2  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  1  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  1  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  3  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  4  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  1  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  3  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  1  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  1  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  1  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  4  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  1  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  1  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  1  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  1  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  1  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  2  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  1  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  1  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  2  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "TonalityFilter" :: excecution time :  1  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  0  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  4  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  4  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  0  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  2  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  2  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  2  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  3  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  4  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  2  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "TonalityFilter" :: excecution time :  3  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  2  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  9  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  5  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  5  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  5  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  4  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "TonalityFilter" :: excecution time :  3  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  2  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  4  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  3  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  10  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "TonalityFilter" :: excecution time :  8  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  11  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  10  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  10  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  15  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  11  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  3  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "MixerFilter" :: excecution time :  0  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "Infrared" :: excecution time :  12  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  13  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "Infrared" :: excecution time :  13  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  14  ms
digikam(2306)/digikam (core) Digikam::CurvesWidget::updateData: updating data
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "TonalityFilter" :: excecution time :  11  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  15  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "TonalityFilter" :: excecution time :  6  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  15  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "Infrared" :: excecution time :  17  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  17  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "Infrared" :: excecution time :  6  ms
digikam(2306)/digikam (core) Digikam::DImgThreadedFilter::startFilterDirectly: "BWSepiaFilter" :: excecution time :  15  ms
digikam(2306)/digikam (core) Digikam::AlbumFilterModel::setSearchTextSettings: new search text settings:  "" : hasResult =  false , validRows =  0
digikam(2306)/digikam (core) Digikam::WorkflowManager::load: Cannot open XML file to load Workflow
"/org/freedesktop/UDisks2/drives/WDC_WD20_EARX_00PASB0_152D20339006" : property "DeviceNumber" does not exist 
"/org/freedesktop/UDisks2/drives/WDC_WD20_EARX_00PASB0_152D20339006" : property "Device" does not exist 
digikam(2306)/digikam (core) Digikam::ThemeManager::slotChangePalette: ""  ::  ""
digikam(2306)/digikam (core) Digikam::ThemeManager::slotChangePalette: ""  ::  ""
digikam(2306)/digikam (core) Digikam::KInotify::Private::open: Successfully opened connection to inotify: 69
digikam(2306)/digikam (editor plugins) DigikamColorImagePlugin::ImagePlugin_Color::ImagePlugin_Color: ImagePlugin_Color plugin loaded
digikam(2306)/digikam (core) Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: Loaded plugin  "ImagePlugin_Color"
digikam(2306)/digikam (editor plugins) DigikamDecorateImagePlugin::ImagePlugin_Decorate::ImagePlugin_Decorate: ImagePlugin_Decorate plugin loaded
digikam(2306)/digikam (core) Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: Loaded plugin  "ImagePlugin_Decorate"
digikam(2306)/digikam (editor plugins) DigikamEnhanceImagePlugin::ImagePlugin_Enhance::ImagePlugin_Enhance: ImagePlugin_Enhance plugin loaded
digikam(2306)/digikam (core) Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: Loaded plugin  "ImagePlugin_Enhance"
digikam(2306)/digikam (editor plugins) DigikamFxFiltersImagePlugin::ImagePlugin_FxFilters::ImagePlugin_FxFilters: ImagePlugin_FxFilters plugin loaded
digikam(2306)/digikam (core) Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: Loaded plugin  "ImagePlugin_FxFilters"
digikam(2306)/digikam (editor plugins) DigikamTransformImagePlugin::ImagePlugin_Transform::ImagePlugin_Transform: ImagePlugin_Transform plugin loaded
digikam(2306)/digikam (core) Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: Loaded plugin  "ImagePlugin_Transform"
Ignoring to load the following file since it doesn't look like a valid Marble plugin: "/usr/lib/kde4/plugins/marble/16/WlocatePositionProviderPlugin.so" 
Reason: "Cannot load library /usr/lib/kde4/plugins/marble/16/WlocatePositionProviderPlugin.so: (libwlocate.so: cannot open shared object file: No such file or directory)" 
digikam(2306)/digikam (core) Digikam::NewItemsFinder::slotStart: scan mode: ScanDeferredFiles
digikam(2306)/digikam (core) Digikam::NewItemsFinder::slotTotalFilesToScan: total scan value :  85706
digikam(2306)/digikam (core) Digikam::DatabaseCoreBackendPrivate::checkRetrySQLiteLockError: Database is locked. Waited 0
digikam(2306)/digikam (core) Digikam::DatabaseCoreBackendPrivate::checkRetrySQLiteLockError: Database is locked. Waited 250
digikam(2306)/digikam (core) Digikam::DatabaseCoreBackendPrivate::checkRetrySQLiteLockError: Database is locked. Waited 500
digikam(2306)/digikam (core) Digikam::DatabaseCoreBackendPrivate::checkRetrySQLiteLockError: Database is locked. Waited 750
digikam(2306)/digikam (core) Digikam::CollectionScanner::completeHistoryScanning: items to tag ()
digikam(2306)/digikam (core) Digikam::CollectionScanner::completeScan: Complete scan took: 1589 msecs.
digikam(2306)/KEXIV2: Cannot load metadata from file   (Error # 11 :  /home/sean/Pictures/Photos and Memorabilia/X/Y/SP_3729.mov: The file contains data of an unknown image type 
digikam(2306)/digikam (core) Digikam::DImg::load: "/home/sean/Pictures/Photos and Memorabilia/X/Y/SP_3729.mov"  : QIMAGE file identified
digikam(2306)/digikam (core) Digikam::QImageLoader::load: Can not load " "/home/sean/Pictures/Photos and Memorabilia/X/Y/SP_3729.mov" " using DImg::QImageLoader!
digikam(2306)/digikam (core) Digikam::JPEGUtils::isJpegImage: mimetype =  ""  ext =  "MOV"
digikam(2306)/digikam (core) Digikam::ThumbnailCreator::createThumbnail: Cannot create thumbnail for  "/home/sean/Pictures/Photos and Memorabilia/X/Y/SP_3729.mov" 
digikam(2306)/digikam (core) Digikam::ThumbnailCreator::load: Thumbnail is null for  "/home/sean/Pictures/Photos and Memorabilia/X/Y/SP_3729.mov" 
digikam(2306)/digikam (core) Digikam::DImg::load: "/home/sean/Pictures/Photos and Memorabilia/X/Y/SP_3705.JPG"  : JPEG file identified
digikam(2306)/digikam (core) Digikam::DMetadata::getImageHistory: Loading image history  ""
digikam(2306)/KEXIV2 KExiv2Iface::KExiv2::getImageDateTime: DateTime => Exif.Photo.DateTimeOriginal =>  QDateTime("Wed Apr 23 06:22:45 2014")
digikam(2306)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(2306)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  6
digikam(2306)/digikam (core) Digikam::DImg::load: "/home/sean/Pictures/Photos and Memorabilia/X/Y/SP_3707.JPG"  : JPEG file identified
digikam(2306)/digikam (core) Digikam::DMetadata::getImageHistory: Loading image history  ""
digikam(2306)/KEXIV2 KExiv2Iface::KExiv2::getImageDateTime: DateTime => Exif.Photo.DateTimeOriginal =>  QDateTime("Wed Apr 23 06:23:16 2014")
digikam(2306)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(2306)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  3
digikam(2306)/digikam (core) Digikam::DImg::load: "/home/sean/Pictures/Photos and Memorabilia/X/Y/SP_3703.JPG"  : JPEG file identified
digikam(2306)/digikam (core) Digikam::DMetadata::getImageHistory: Loading image history  ""
digikam(2306)/KEXIV2 KExiv2Iface::KExiv2::getImageDateTime: DateTime => Exif.Photo.DateTimeOriginal =>  QDateTime("Wed Apr 23 06:21:14 2014")
digikam(2306)/digikam (core) Digikam::DMetadata::getIccProfile: Exif color-space tag is sRGB. Using default sRGB ICC profile.
digikam(2306)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  6
digikam(2306)/digikam (core) Digikam::FacePipeline::Private::checkFinished: Check for finish:  0 packages, 0 infos to filter, hasFinished() true
digikam(2306)/digikam (core) Digikam::DMetadata::setImageTitles: "/home/sean/Pictures/Photos and Memorabilia/X/Y/SP_3705.JPG"  ==> Title:  QMap()
digikam(2306)/digikam (core) Digikam::DMetadata::setImageComments: "/home/sean/Pictures/Photos and Memorabilia/X/Y/SP_3705.JPG"  ==> Comment:  QMap()
digikam(2306)/digikam (core) Digikam::DMetadata::setImagePickLabel: "/home/sean/Pictures/Photos and Memorabilia/X/Y/SP_3705.JPG"  ==> Pick Label:  0
digikam(2306)/digikam (core) Digikam::DMetadata::setImageColorLabel: "/home/sean/Pictures/Photos and Memorabilia/X/Y/SP_3705.JPG"  ==> Color Label:  0
digikam(2306)/digikam (core) Digikam::DMetadata::setImageRating: "/home/sean/Pictures/Photos and Memorabilia/X/Y/SP_3705.JPG"  ==> Rating:  3
digikam(2306)/KEXIV2 KExiv2Iface::KExiv2::setIptcKeywords: "/home/sean/Pictures/Photos and Memorabilia/X/Y/SP_3705.JPG"  ==> New Iptc Keywords:  ("Sean McLennan")
digikam(2306)/KEXIV2 KExiv2Iface::KExiv2::save: KExiv2::metadataWritingMode 0
digikam(2306)/KEXIV2 KExiv2Iface::KExiv2::save: Will write Metadata to file "SP_3705.JPG"
digikam(2306)/digikam (core) Digikam::AlbumWatch::rescanDirectory: Detected change, triggering rescan of directory "/home/sean/Pictures/Photos and Memorabilia/X/Y"
digikam(2306)/KEXIV2 KExiv2Iface::KExiv2::save: Metadata for file "SP_3705.JPG" written to file.
digikam(2306)/digikam (core) Digikam::DImg::load: "/home/sean/Pictures/Photos and Memorabilia/X/Y/SP_3705.JPG"  : JPEG file identified
digikam(2306)/digikam (core) Digikam::ImageScanner::commit: Scanning took 147 ms
digikam(2306)/digikam (core) Digikam::FaceUtils::identityForTag: Found kface identity 165 for tag 35
digikam(2306)/KFACE KFaceIface::trainIdentityBatch: Training 1 images for identity 165
qUncompress: Z_DATA_ERROR: Input data is corrupted
qUncompress: Z_DATA_ERROR: Input data is corrupted
qUncompress: Z_DATA_ERROR: Input data is corrupted
qUncompress: Z_DATA_ERROR: Input data is corrupted
qUncompress: Z_DATA_ERROR: Input data is corrupted
qUncompress: Input data is corrupted
qUncompress: Input data is corrupted
... REPEAT FOR ~ 22000 lines
KCrash: Application 'digikam' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
Comment 37 shaav 2014-06-24 08:34:51 UTC
> Look this screenshot for details. On the left of "detect" window, the whole
> image, on the right, the face region detected...

Also, all good. Works fine.
Comment 38 caulier.gilles 2014-06-24 09:02:18 UTC
From the previous console trace:

qUncompress: Z_DATA_ERROR: Input data is corrupted

Sound like data from face database are corrupted (probably due to previous crash). Can you delete database file located at :

~.kde4/share/apps/libkface/database/

mine : [gilles@localhost database]$ ls -l /home/gilles/.kde4/share/apps/libkface/database
total 397020
-rw-r--r-- 1 gilles gilles 406543360 juin  23 14:16 recognition.db

... and try again ?
Gilles Caulier
Comment 39 shaav 2014-06-24 09:35:55 UTC
Unbelievable. Seems to be fine now. I kinda want to cry.

Thank you both for helping to diagnose that.

Can I perhaps suggest a better handling of this eventuality? I never would have thought to delete this database --- didn't even know it existed. I thought everything was in my digikam folder...
Comment 40 caulier.gilles 2014-06-24 11:43:38 UTC
Thanks to investigate with us.

Please continue to review Face Management.

I currently working hard on this topic, trying to stabilize code as i can (i'm not original author of this code)...

Gilles Caulier